<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>Bindings_Iterator_T.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01330</filename>
    <includes id="a01331" name="Bindings_Iterator_T.h" local="yes" imported="no">orbsvcs/Naming/Bindings_Iterator_T.h</includes>
  </compound>
  <compound kind="file">
    <name>Bindings_Iterator_T.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01331</filename>
    <includes id="a01338" name="Hash_Naming_Context.h" local="yes" imported="no">orbsvcs/Naming/Hash_Naming_Context.h</includes>
    <class kind="class">TAO_Bindings_Iterator</class>
  </compound>
  <compound kind="file">
    <name>CosNaming.idl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/</path>
    <filename>a01332</filename>
    <namespace>CosNaming</namespace>
    <class kind="struct">CosNaming::NameComponent</class>
    <class kind="struct">CosNaming::Binding</class>
    <class kind="interface">CosNaming::NamingContext</class>
    <class kind="exception">CosNaming::NamingContext::NotFound</class>
    <class kind="exception">CosNaming::NamingContext::CannotProceed</class>
    <class kind="exception">CosNaming::NamingContext::InvalidName</class>
    <class kind="exception">CosNaming::NamingContext::AlreadyBound</class>
    <class kind="exception">CosNaming::NamingContext::NotEmpty</class>
    <class kind="interface">CosNaming::BindingIterator</class>
    <class kind="interface">CosNaming::NamingContextExt</class>
    <class kind="exception">CosNaming::NamingContextExt::InvalidAddress</class>
    <member kind="typedef">
      <type>string</type>
      <name>Istring</name>
      <anchorfile>a01368.html</anchorfile>
      <anchor>4999743810075cf00bbf3bc655d44ffb</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; NameComponent &gt;</type>
      <name>Name</name>
      <anchorfile>a01368.html</anchorfile>
      <anchor>fbce138287f662a71d64d265cce9b427</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; Binding &gt;</type>
      <name>BindingList</name>
      <anchorfile>a01368.html</anchorfile>
      <anchor>07b0310546857705dd48b44c016cf143</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>BindingType</name>
      <anchor>08bcd8255a999d2527b1859136719c27</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>nobject</name>
      <anchor>08bcd8255a999d2527b1859136719c274c774adef57116e6daf4d5bbc66cb37d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ncontext</name>
      <anchor>08bcd8255a999d2527b1859136719c27fb6fde66568db2f4a4f4a918f38e1900</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Entries.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01333</filename>
    <includes id="a01334" name="Entries.h" local="yes" imported="no">orbsvcs/Naming/Entries.h</includes>
  </compound>
  <compound kind="file">
    <name>Entries.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01334</filename>
    <includes id="a01346" name="naming_serv_export.h" local="yes" imported="no">orbsvcs/Naming/naming_serv_export.h</includes>
    <class kind="class">TAO_IntId</class>
    <class kind="class">TAO_ExtId</class>
  </compound>
  <compound kind="file">
    <name>Flat_File_Persistence.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01335</filename>
    <includes id="a01336" name="Flat_File_Persistence.h" local="yes" imported="no">orbsvcs/Naming/Flat_File_Persistence.h</includes>
  </compound>
  <compound kind="file">
    <name>Flat_File_Persistence.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01336</filename>
    <includes id="a01360" name="Storable.h" local="yes" imported="no">orbsvcs/Naming/Storable.h</includes>
    <class kind="class">TAO_NS_FlatFileStream</class>
    <class kind="class">TAO_NS_FlatFileFactory</class>
  </compound>
  <compound kind="file">
    <name>Hash_Naming_Context.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01337</filename>
    <includes id="a01338" name="Hash_Naming_Context.h" local="yes" imported="no">orbsvcs/Naming/Hash_Naming_Context.h</includes>
    <includes id="a01352" name="nsconf.h" local="yes" imported="no">orbsvcs/Naming/nsconf.h</includes>
  </compound>
  <compound kind="file">
    <name>Hash_Naming_Context.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01338</filename>
    <includes id="a01342" name="Naming_Context_Interface.h" local="yes" imported="no">orbsvcs/Naming/Naming_Context_Interface.h</includes>
    <includes id="a01346" name="naming_serv_export.h" local="yes" imported="no">orbsvcs/Naming/naming_serv_export.h</includes>
    <class kind="class">TAO_Bindings_Map</class>
    <class kind="class">TAO_Hash_Naming_Context</class>
  </compound>
  <compound kind="file">
    <name>Naming_Client.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01339</filename>
    <includes id="a01340" name="Naming_Client.h" local="yes" imported="no">orbsvcs/Naming/Naming_Client.h</includes>
  </compound>
  <compound kind="file">
    <name>Naming_Client.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01340</filename>
    <includes id="a01343" name="naming_export.h" local="yes" imported="no">orbsvcs/Naming/naming_export.h</includes>
    <class kind="class">TAO_Naming_Client</class>
  </compound>
  <compound kind="file">
    <name>Naming_Context_Interface.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01341</filename>
    <includes id="a01342" name="Naming_Context_Interface.h" local="yes" imported="no">orbsvcs/Naming/Naming_Context_Interface.h</includes>
  </compound>
  <compound kind="file">
    <name>Naming_Context_Interface.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01342</filename>
    <includes id="a01346" name="naming_serv_export.h" local="yes" imported="no">orbsvcs/Naming/naming_serv_export.h</includes>
    <class kind="class">TAO_Naming_Context</class>
    <class kind="class">TAO_Naming_Context_Impl</class>
  </compound>
  <compound kind="file">
    <name>naming_export.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01343</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_HAS_DLL</name>
      <anchorfile>a01343.html</anchorfile>
      <anchor>aa380a454a085daded85e0b0a019c955</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_Naming_Export</name>
      <anchorfile>a01343.html</anchorfile>
      <anchor>7764278e1563b5ce95f47ecfc9a8ff6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SINGLETON_DECLARATION</name>
      <anchorfile>a01343.html</anchorfile>
      <anchor>3eb5dafce2ce44ee3fdc01803dd5c065</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SINGLETON_DECLARE</name>
      <anchorfile>a01343.html</anchorfile>
      <anchor>82351e08ea4b50e20ca78dfdd106bebb</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Naming_Loader.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01344</filename>
    <includes id="a01345" name="Naming_Loader.h" local="yes" imported="no">orbsvcs/Naming/Naming_Loader.h</includes>
  </compound>
  <compound kind="file">
    <name>Naming_Loader.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01345</filename>
    <includes id="a01348" name="Naming_Server.h" local="yes" imported="no">orbsvcs/Naming/Naming_Server.h</includes>
    <class kind="class">TAO_Naming_Loader</class>
  </compound>
  <compound kind="file">
    <name>naming_serv_export.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01346</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SERV_HAS_DLL</name>
      <anchorfile>a01346.html</anchorfile>
      <anchor>89dc1928d49d66bfd4fc15a179fedf93</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_Naming_Serv_Export</name>
      <anchorfile>a01346.html</anchorfile>
      <anchor>3d1cb978ee003469caf226fbe0b3be04</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SERV_SINGLETON_DECLARATION</name>
      <anchorfile>a01346.html</anchorfile>
      <anchor>bbb07ca442db6543d7661ee934b847ab</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SERV_SINGLETON_DECLARE</name>
      <anchorfile>a01346.html</anchorfile>
      <anchor>41ea73c383d360a472042c56767b2488</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Naming_Server.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01347</filename>
    <includes id="a01348" name="Naming_Server.h" local="yes" imported="no">orbsvcs/Naming/Naming_Server.h</includes>
    <includes id="a01367" name="Transient_Naming_Context.h" local="yes" imported="no">orbsvcs/Naming/Transient_Naming_Context.h</includes>
    <includes id="a01354" name="Persistent_Context_Index.h" local="yes" imported="no">orbsvcs/Naming/Persistent_Context_Index.h</includes>
    <includes id="a01363" name="Storable_Naming_Context.h" local="yes" imported="no">orbsvcs/Naming/Storable_Naming_Context.h</includes>
    <includes id="a01365" name="Storable_Naming_Context_Activator.h" local="yes" imported="no">orbsvcs/Naming/Storable_Naming_Context_Activator.h</includes>
    <includes id="a01336" name="Flat_File_Persistence.h" local="yes" imported="no">orbsvcs/Naming/Flat_File_Persistence.h</includes>
  </compound>
  <compound kind="file">
    <name>Naming_Server.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01348</filename>
    <includes id="a01342" name="Naming_Context_Interface.h" local="yes" imported="no">orbsvcs/Naming/Naming_Context_Interface.h</includes>
    <includes id="a01352" name="nsconf.h" local="yes" imported="no">orbsvcs/Naming/nsconf.h</includes>
    <class kind="class">TAO_Naming_Server</class>
  </compound>
  <compound kind="file">
    <name>Naming_Service_Container.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01349</filename>
    <includes id="a01350" name="Naming_Service_Container.h" local="yes" imported="no">orbsvcs/Naming/Naming_Service_Container.h</includes>
  </compound>
  <compound kind="file">
    <name>Naming_Service_Container.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01350</filename>
    <class kind="class">ACE_NS_Node</class>
    <class kind="class">ACE_Unbounded_List_Iterator</class>
    <class kind="class">ACE_Unbounded_List</class>
  </compound>
  <compound kind="file">
    <name>naming_skel_export.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01351</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SKEL_HAS_DLL</name>
      <anchorfile>a01351.html</anchorfile>
      <anchor>de73f4c33296ec67a4cd90d92462e74c</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_Naming_Skel_Export</name>
      <anchorfile>a01351.html</anchorfile>
      <anchor>44b44a08fe4d5dc73e1d49b32741aefe</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SKEL_SINGLETON_DECLARATION</name>
      <anchorfile>a01351.html</anchorfile>
      <anchor>bb547ad795735c6920fbc5a288f973ee</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_SKEL_SINGLETON_DECLARE</name>
      <anchorfile>a01351.html</anchorfile>
      <anchor>5b5d99dcac0326fbf49de578288610c0</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>nsconf.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01352</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_BASE_ADDR</name>
      <anchorfile>a01352.html</anchorfile>
      <anchor>bb9c474ae21af853221269ddf47cc03e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_ROOT_NAMING_CONTEXT</name>
      <anchorfile>a01352.html</anchorfile>
      <anchor>4f4c9f54d72a9058369129f0d325369f</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_NAMING_CONTEXT_INDEX</name>
      <anchorfile>a01352.html</anchorfile>
      <anchor>1a130096807736dc9e5bb7dd48d0a904</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Persistent_Context_Index.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01353</filename>
    <includes id="a01354" name="Persistent_Context_Index.h" local="yes" imported="no">orbsvcs/Naming/Persistent_Context_Index.h</includes>
    <includes id="a01358" name="Persistent_Naming_Context.h" local="yes" imported="no">orbsvcs/Naming/Persistent_Naming_Context.h</includes>
  </compound>
  <compound kind="file">
    <name>Persistent_Context_Index.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01354</filename>
    <includes id="a01356" name="Persistent_Entries.h" local="yes" imported="no">orbsvcs/Naming/Persistent_Entries.h</includes>
    <includes id="a01346" name="naming_serv_export.h" local="yes" imported="no">orbsvcs/Naming/naming_serv_export.h</includes>
    <includes id="a01352" name="nsconf.h" local="yes" imported="no">orbsvcs/Naming/nsconf.h</includes>
    <class kind="class">TAO_Persistent_Context_Index</class>
  </compound>
  <compound kind="file">
    <name>Persistent_Entries.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01355</filename>
    <includes id="a01356" name="Persistent_Entries.h" local="yes" imported="no">orbsvcs/Naming/Persistent_Entries.h</includes>
  </compound>
  <compound kind="file">
    <name>Persistent_Entries.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01356</filename>
    <includes id="a01346" name="naming_serv_export.h" local="yes" imported="no">orbsvcs/Naming/naming_serv_export.h</includes>
    <class kind="class">TAO_Persistent_IntId</class>
    <class kind="class">TAO_Persistent_ExtId</class>
    <class kind="class">TAO_Persistent_Index_IntId</class>
    <class kind="class">TAO_Persistent_Index_ExtId</class>
  </compound>
  <compound kind="file">
    <name>Persistent_Naming_Context.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01357</filename>
    <includes id="a01358" name="Persistent_Naming_Context.h" local="yes" imported="no">orbsvcs/Naming/Persistent_Naming_Context.h</includes>
    <includes id="a01354" name="Persistent_Context_Index.h" local="yes" imported="no">orbsvcs/Naming/Persistent_Context_Index.h</includes>
    <includes id="a01331" name="Bindings_Iterator_T.h" local="yes" imported="no">orbsvcs/Naming/Bindings_Iterator_T.h</includes>
  </compound>
  <compound kind="file">
    <name>Persistent_Naming_Context.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01358</filename>
    <includes id="a01338" name="Hash_Naming_Context.h" local="yes" imported="no">orbsvcs/Naming/Hash_Naming_Context.h</includes>
    <includes id="a01356" name="Persistent_Entries.h" local="yes" imported="no">orbsvcs/Naming/Persistent_Entries.h</includes>
    <includes id="a01346" name="naming_serv_export.h" local="yes" imported="no">orbsvcs/Naming/naming_serv_export.h</includes>
    <class kind="class">TAO_Persistent_Bindings_Map</class>
    <class kind="class">TAO_Persistent_Naming_Context</class>
  </compound>
  <compound kind="file">
    <name>Storable.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01359</filename>
    <includes id="a01360" name="Storable.h" local="yes" imported="no">orbsvcs/Naming/Storable.h</includes>
  </compound>
  <compound kind="file">
    <name>Storable.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01360</filename>
    <includes id="a01361" name="Storable.inl" local="yes" imported="no">orbsvcs/Naming/Storable.inl</includes>
    <class kind="class">TAO_NS_Persistence_Header</class>
    <class kind="class">TAO_NS_Persistence_Record</class>
    <class kind="class">TAO_NS_Persistence_Global</class>
    <class kind="class">TAO_Storable_Base</class>
    <class kind="class">TAO_Naming_Service_Persistence_Factory</class>
    <member kind="variable" static="yes">
      <type>static TAO_BEGIN_VERSIONED_NAMESPACE_DECL const int</type>
      <name>szInt</name>
      <anchorfile>a01360.html</anchorfile>
      <anchor>b86d7215b1e2fc9c9c19f22155289412</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const int</type>
      <name>szChar</name>
      <anchorfile>a01360.html</anchorfile>
      <anchor>67f8112d2367c15bdf316d657d1fd49f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const int</type>
      <name>szBool</name>
      <anchorfile>a01360.html</anchorfile>
      <anchor>b31c86c61b5a09731cc0d2c4975e86d2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Storable.inl</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01361</filename>
  </compound>
  <compound kind="file">
    <name>Storable_Naming_Context.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01362</filename>
    <includes id="a01363" name="Storable_Naming_Context.h" local="yes" imported="no">orbsvcs/Naming/Storable_Naming_Context.h</includes>
    <includes id="a01331" name="Bindings_Iterator_T.h" local="yes" imported="no">orbsvcs/Naming/Bindings_Iterator_T.h</includes>
    <includes id="a01350" name="Naming_Service_Container.h" local="yes" imported="no">orbsvcs/Naming/Naming_Service_Container.h</includes>
  </compound>
  <compound kind="file">
    <name>Storable_Naming_Context.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01363</filename>
    <includes id="a01338" name="Hash_Naming_Context.h" local="yes" imported="no">orbsvcs/Naming/Hash_Naming_Context.h</includes>
    <includes id="a01360" name="Storable.h" local="yes" imported="no">orbsvcs/Naming/Storable.h</includes>
    <class kind="class">TAO_Storable_IntId</class>
    <class kind="class">TAO_Storable_ExtId</class>
    <class kind="class">TAO_Storable_Bindings_Map</class>
    <class kind="class">TAO_Storable_Naming_Context</class>
    <class kind="class">TAO_Storable_Naming_Context::File_Open_Lock_and_Check</class>
  </compound>
  <compound kind="file">
    <name>Storable_Naming_Context_Activator.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01364</filename>
    <includes id="a01365" name="Storable_Naming_Context_Activator.h" local="yes" imported="no">orbsvcs/Naming/Storable_Naming_Context_Activator.h</includes>
    <includes id="a01342" name="Naming_Context_Interface.h" local="yes" imported="no">orbsvcs/Naming/Naming_Context_Interface.h</includes>
    <includes id="a01363" name="Storable_Naming_Context.h" local="yes" imported="no">orbsvcs/Naming/Storable_Naming_Context.h</includes>
    <includes id="a01360" name="Storable.h" local="yes" imported="no">orbsvcs/Naming/Storable.h</includes>
  </compound>
  <compound kind="file">
    <name>Storable_Naming_Context_Activator.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01365</filename>
    <includes id="a01346" name="naming_serv_export.h" local="yes" imported="no">orbsvcs/Naming/naming_serv_export.h</includes>
    <class kind="class">TAO_Storable_Naming_Context_Activator</class>
  </compound>
  <compound kind="file">
    <name>Transient_Naming_Context.cpp</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01366</filename>
    <includes id="a01367" name="Transient_Naming_Context.h" local="yes" imported="no">orbsvcs/Naming/Transient_Naming_Context.h</includes>
    <includes id="a01331" name="Bindings_Iterator_T.h" local="yes" imported="no">orbsvcs/Naming/Bindings_Iterator_T.h</includes>
  </compound>
  <compound kind="file">
    <name>Transient_Naming_Context.h</name>
    <path>/web/users/isisbuilds/tmp/ACE_wrappers/TAO/orbsvcs/orbsvcs/Naming/</path>
    <filename>a01367</filename>
    <includes id="a01338" name="Hash_Naming_Context.h" local="yes" imported="no">orbsvcs/Naming/Hash_Naming_Context.h</includes>
    <includes id="a01334" name="Entries.h" local="yes" imported="no">orbsvcs/Naming/Entries.h</includes>
    <class kind="class">TAO_Transient_Bindings_Map</class>
    <class kind="class">TAO_Transient_Naming_Context</class>
  </compound>
  <compound kind="class">
    <name>ACE_NS_Node</name>
    <filename>a01284.html</filename>
    <templarg>T</templarg>
    <member kind="function">
      <type></type>
      <name>~ACE_NS_Node</name>
      <anchorfile>a01284.html</anchorfile>
      <anchor>593d11dff18966833949bb1eddbb6777</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>ACE_NS_Node</name>
      <anchorfile>a01284.html</anchorfile>
      <anchor>ea63289bef2e304e6a55d3ec778b055f</anchor>
      <arglist>(const T &amp;i, ACE_NS_Node&lt; T &gt; *n)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>ACE_NS_Node</name>
      <anchorfile>a01284.html</anchorfile>
      <anchor>1fd9a95d76ed6a5d7b949d58cc67ea13</anchor>
      <arglist>(ACE_NS_Node&lt; T &gt; *n=0, int=0)</arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>ACE_NS_Node</name>
      <anchorfile>a01284.html</anchorfile>
      <anchor>5b71ab87e40e878433f69cba500b6822</anchor>
      <arglist>(const ACE_NS_Node&lt; T &gt; &amp;n)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_NS_Node&lt; T &gt; *</type>
      <name>next_</name>
      <anchorfile>a01284.html</anchorfile>
      <anchor>c8a236d66919be467c7f5431e69c83b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>T</type>
      <name>item_</name>
      <anchorfile>a01284.html</anchorfile>
      <anchor>e88591cb0ca69dc2604b3323e3354059</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>ACE_Unbounded_List&lt; T &gt;</name>
      <anchorfile>a01284.html</anchorfile>
      <anchor>4756653688b35f44e15181f97a86f6fc</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>ACE_Unbounded_List_Iterator&lt; T &gt;</name>
      <anchorfile>a01284.html</anchorfile>
      <anchor>fbdbb50afe0730e6226526ed2ff590a5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_Unbounded_List</name>
    <filename>a01285.html</filename>
    <templarg>T</templarg>
    <member kind="typedef">
      <type>ACE_Unbounded_List_Iterator&lt; T &gt;</type>
      <name>ITERATOR</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>fe0d11a2ad85329f8250d236f443722d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_Unbounded_List_Iterator&lt; T &gt;</type>
      <name>iterator</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>783d50eb82125bda8e08a23e9504b8dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_Unbounded_List</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>9ab82a50e657caf7a44da113f7397089</anchor>
      <arglist>(ACE_Allocator *alloc=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_Unbounded_List</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>d9c1e62a8c554ab622072a6cb49cc0ad</anchor>
      <arglist>(const ACE_Unbounded_List&lt; T &gt; &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>c2bc816bea2b5fe7f0a48576396339a8</anchor>
      <arglist>(const ACE_Unbounded_List&lt; T &gt; &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ACE_Unbounded_List</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>5d726b1866f14c2bff020b5f165dd45a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>is_empty</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>69a77aa6f10f7c05fdbbe997e4a70728</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>is_full</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>7814e12a681812e69c28b05467746fd3</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>insert</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>989faf19b90e4b82eed8729bc5ba43a9</anchor>
      <arglist>(const T &amp;new_item)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>remove</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>77eb31b9ee6f5c243f0b0020625a3b1f</anchor>
      <arglist>(const T &amp;item)</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>size</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>b45802355a90278058970e12ff70c9e3</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>0c54e20a98e1a312802853349c69b361</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>dbb78f7b8747c7e26b9d737d59374bca</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>ACE_Unbounded_List_Iterator&lt; T &gt;</type>
      <name>begin</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>87cd7b011787c2585724533a1a791d3f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>ACE_Unbounded_List_Iterator&lt; T &gt;</type>
      <name>end</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>17f865f68f5e135662c0623b0480b1f7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>ACE_ALLOC_HOOK_DECLARE</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>16039f97a67ab0cb1cb35e5721146829</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>insert_tail</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>800e47c4012e1ce3c901942745accd19</anchor>
      <arglist>(const T &amp;item)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>delete_nodes</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>f960e7a8c219a1879fdc058715119938</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>copy_nodes</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>c68e21940fc664bc880654c4b01c2e6a</anchor>
      <arglist>(const ACE_Unbounded_List&lt; T &gt; &amp;)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_NS_Node&lt; T &gt; *</type>
      <name>head_</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>148dd6521dfa5c439b1ba7eb5fde6ede</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_t</type>
      <name>cur_size_</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>2f52d72efd46d4dc5a90c2040a7847c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_Allocator *</type>
      <name>allocator_</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>1a234f7393322a23d9cd912dcd601fc1</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>ACE_Unbounded_List_Iterator&lt; T &gt;</name>
      <anchorfile>a01285.html</anchorfile>
      <anchor>fbdbb50afe0730e6226526ed2ff590a5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_Unbounded_List_Iterator</name>
    <filename>a01286.html</filename>
    <templarg>T</templarg>
    <member kind="function">
      <type></type>
      <name>ACE_Unbounded_List_Iterator</name>
      <anchorfile>a01286.html</anchorfile>
      <anchor>0412049f4cc89a6785adc176a2e42944</anchor>
      <arglist>(ACE_Unbounded_List&lt; T &gt; &amp;s, int end=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>next</name>
      <anchorfile>a01286.html</anchorfile>
      <anchor>73d52d6658e297b1ce4a127cf4c1f4af</anchor>
      <arglist>(T *&amp;next_item)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>advance</name>
      <anchorfile>a01286.html</anchorfile>
      <anchor>2c26e8fd49c2dcfd297acce68656a96b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>first</name>
      <anchorfile>a01286.html</anchorfile>
      <anchor>c8fcb76253974bcee5c6e33359797127</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>done</name>
      <anchorfile>a01286.html</anchorfile>
      <anchor>25fb2aa8d9530ad829d90679fa3b2872</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dump</name>
      <anchorfile>a01286.html</anchorfile>
      <anchor>ceaf7b3791ef04130468f11ae70c7369</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>ACE_Unbounded_List_Iterator&lt; T &gt;</type>
      <name>operator++</name>
      <anchorfile>a01286.html</anchorfile>
      <anchor>065b22746720a4eeb259b76a519191fd</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>ACE_Unbounded_List_Iterator&lt; T &gt; &amp;</type>
      <name>operator++</name>
      <anchorfile>a01286.html</anchorfile>
      <anchor>0483fd4d00ebc84e19ffeaeb6dde8440</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>T &amp;</type>
      <name>operator *</name>
      <anchorfile>a01286.html</anchorfile>
      <anchor>a088b0b49c6c7acf280ccde1f77eaef7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>a01286.html</anchorfile>
      <anchor>42ed8ec1539251c40963fcc77141b6d5</anchor>
      <arglist>(const ACE_Unbounded_List_Iterator&lt; T &gt; &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>a01286.html</anchorfile>
      <anchor>cb76875adf65a3c4c940a9c2e428b612</anchor>
      <arglist>(const ACE_Unbounded_List_Iterator&lt; T &gt; &amp;) const </arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>ACE_ALLOC_HOOK_DECLARE</name>
      <anchorfile>a01286.html</anchorfile>
      <anchor>06e5f83e544727c6d892b57873002126</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_NS_Node&lt; T &gt; *</type>
      <name>current_</name>
      <anchorfile>a01286.html</anchorfile>
      <anchor>408acfaab4008f6c894bf4f31e279444</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_Unbounded_List&lt; T &gt; *</type>
      <name>set_</name>
      <anchorfile>a01286.html</anchorfile>
      <anchor>e58fd1e12332e67cfed28756502dc0ad</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Bindings_Iterator</name>
    <filename>a01298.html</filename>
    <templarg>ITERATOR</templarg>
    <templarg>TABLE_ENTRY</templarg>
    <member kind="function">
      <type></type>
      <name>TAO_Bindings_Iterator</name>
      <anchorfile>a01298.html</anchorfile>
      <anchor>4f704220b2dfead5650a1639b78c9450</anchor>
      <arglist>(TAO_Hash_Naming_Context *context, ITERATOR *hash_iter, PortableServer::POA_ptr poa, TAO_SYNCH_RECURSIVE_MUTEX &amp;lock)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Bindings_Iterator</name>
      <anchorfile>a01298.html</anchorfile>
      <anchor>cc5833d01bbf72b2fcfd3e572bb0ca9e</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PortableServer::POA_ptr</type>
      <name>_default_POA</name>
      <anchorfile>a01298.html</anchorfile>
      <anchor>8e54e8dcd00ccff36c11fa835a75a79a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>next_one</name>
      <anchorfile>a01298.html</anchorfile>
      <anchor>eedb842d0c016a26f9a6535806c9c4e3</anchor>
      <arglist>(CosNaming::Binding_out b)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Boolean</type>
      <name>next_n</name>
      <anchorfile>a01298.html</anchorfile>
      <anchor>dca3a23048873cf7c1ccc66341812b03</anchor>
      <arglist>(CORBA::ULong how_many, CosNaming::BindingList_out bl)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroy</name>
      <anchorfile>a01298.html</anchorfile>
      <anchor>9273a7e2b901950bb924bd3f2a509154</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>populate_binding</name>
      <anchorfile>a01298.html</anchorfile>
      <anchor>0ab2ba34a0c9de8da5f7dc0d49cd7008</anchor>
      <arglist>(TABLE_ENTRY *hash_entry, CosNaming::Binding &amp;b)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>destroyed_</name>
      <anchorfile>a01298.html</anchorfile>
      <anchor>5e9a9d3b49520a061f0acb24157eee5c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_Hash_Naming_Context *</type>
      <name>context_</name>
      <anchorfile>a01298.html</anchorfile>
      <anchor>a0a901da79fb52892f2382c2f0f86db0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ITERATOR *</type>
      <name>hash_iter_</name>
      <anchorfile>a01298.html</anchorfile>
      <anchor>0dac1b0a74537f9696ba943d87784327</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_SYNCH_RECURSIVE_MUTEX &amp;</type>
      <name>lock_</name>
      <anchorfile>a01298.html</anchorfile>
      <anchor>18f5a2562ef08f19399534b9311e3458</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>PortableServer::POA_var</type>
      <name>poa_</name>
      <anchorfile>a01298.html</anchorfile>
      <anchor>1a94add634b71dd7f21c8c2038a97562</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Bindings_Map</name>
    <filename>a01299.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Bindings_Map</name>
      <anchorfile>a01299.html</anchorfile>
      <anchor>df4d13499d27bbcb10ee88bdc7231b36</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual size_t</type>
      <name>current_size</name>
      <anchorfile>a01299.html</anchorfile>
      <anchor>c6884aaafe5fbd813fb8ce227e7c7838</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>bind</name>
      <anchorfile>a01299.html</anchorfile>
      <anchor>b90d978f2769459eb525c206f68eb235</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>rebind</name>
      <anchorfile>a01299.html</anchorfile>
      <anchor>0f7842af00e432317e5896317ea9ec88</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>unbind</name>
      <anchorfile>a01299.html</anchorfile>
      <anchor>c43666d5ee494cc0c0f7d741df9830a9</anchor>
      <arglist>(const char *id, const char *kind)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>find</name>
      <anchorfile>a01299.html</anchorfile>
      <anchor>317848e814d2a4c0d26126c693b52617</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr &amp;obj, CosNaming::BindingType &amp;type)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_ExtId</name>
    <filename>a01300.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_ExtId</name>
      <anchorfile>a01300.html</anchorfile>
      <anchor>a671c1bcb3c450d0b15574b1d5817275</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_ExtId</name>
      <anchorfile>a01300.html</anchorfile>
      <anchor>722f38ae48b6e865de64cbd7542e5406</anchor>
      <arglist>(const char *id, const char *kind)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_ExtId</name>
      <anchorfile>a01300.html</anchorfile>
      <anchor>df721c1f6e3b54e212bc7e56a141e491</anchor>
      <arglist>(const TAO_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_ExtId</name>
      <anchorfile>a01300.html</anchorfile>
      <anchor>6cce5b30146117890d854dc97755553a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchorfile>a01300.html</anchorfile>
      <anchor>8ae90786ed9c4542ba69d3e7463bd15f</anchor>
      <arglist>(const TAO_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>a01300.html</anchorfile>
      <anchor>82bacd2235efe396b6ffa87dc93c0acd</anchor>
      <arglist>(const TAO_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>a01300.html</anchorfile>
      <anchor>0593a9bb4b0b9d9a742f27d5a69049fb</anchor>
      <arglist>(const TAO_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>u_long</type>
      <name>hash</name>
      <anchorfile>a01300.html</anchorfile>
      <anchor>83129ac01aab968b2c761a0e333b9bb9</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>id</name>
      <anchorfile>a01300.html</anchorfile>
      <anchor>12c746137ff337f1954db209126132e7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>kind</name>
      <anchorfile>a01300.html</anchorfile>
      <anchor>d7632fb4127f1194e8089d50d908de8a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>kind_</name>
      <anchorfile>a01300.html</anchorfile>
      <anchor>e8d1b4f9a7c48aac8c1c701bd794193c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>id_</name>
      <anchorfile>a01300.html</anchorfile>
      <anchor>63d967528598ca0e6aa41007c82894f7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Hash_Naming_Context</name>
    <filename>a01301.html</filename>
    <base>TAO_Naming_Context_Impl</base>
    <member kind="function">
      <type></type>
      <name>TAO_Hash_Naming_Context</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>268e434ba629bccf9ad32bdd0bae8dec</anchor>
      <arglist>(PortableServer::POA_ptr poa, const char *poa_id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>interface</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>2d9cefd0ad7f5815061e7ce121f77a17</anchor>
      <arglist>(TAO_Naming_Context *i)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Hash_Naming_Context</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>6dcac0eebb9e4567e6652308e54e38c0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>TAO_Naming_Context *</type>
      <name>interface</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>de51b24c52dbdb95131a3322b205b04a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>root</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>b88f61bbe3f2ff99924f4f3f1014a9d9</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>destroyed</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>2d3d233826e3272e81cde3428204da22</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bind</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>6fd4c159f706e8ed3b3df59d05eaf56f</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rebind</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>4ccae7639c274ee4b5f3672a19946fc1</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bind_context</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>98440ef0acb1ebae08ea90e3469a0df9</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rebind_context</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>12cc236b6aa6e7ad554a7dc192c79db8</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>resolve</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>6172af2ee96634ffdde55bcfdde5ca0d</anchor>
      <arglist>(const CosNaming::Name &amp;n)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unbind</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>5d904e995ba2dcf43f604b7e425ebd61</anchor>
      <arglist>(const CosNaming::Name &amp;n)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>bind_new_context</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>8c0402d5a4629ecc68b9b9fffee6dc2a</anchor>
      <arglist>(const CosNaming::Name &amp;n)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>29ddd160a4bab029d7b09075e991f859</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PortableServer::POA_ptr</type>
      <name>_default_POA</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>c1abbe3d9a6d50fd4af600de0a4d62c3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>CosNaming::NamingContext_ptr</type>
      <name>get_context</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>eaf0dfed80dc0ca3e03d2c6135fc9695</anchor>
      <arglist>(const CosNaming::Name &amp;name)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Bindings_Map *</type>
      <name>context_</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>3e07e0d35b93e7f0d178df5cfa1c4742</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Naming_Context *</type>
      <name>interface_</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>3276412eb79bbbb8fe34fc5c79ec04bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_SYNCH_RECURSIVE_MUTEX</type>
      <name>lock_</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>14a4e260c1ba82ce1ac7e78548ffb879</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>destroyed_</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>d5b0521f653223afa3e4e33dfdf6db6d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PortableServer::POA_var</type>
      <name>poa_</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>d687f1a1b612a71c34be9a126b5bfdd6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>poa_id_</name>
      <anchorfile>a01301.html</anchorfile>
      <anchor>fbcfc989fb1761e3df16bad2bfea9d37</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_IntId</name>
    <filename>a01302.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_IntId</name>
      <anchorfile>a01302.html</anchorfile>
      <anchor>eec7b040fecace01d56ce9f411551e65</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_IntId</name>
      <anchorfile>a01302.html</anchorfile>
      <anchor>2f70d441ba76d111527ab6ca27b85af3</anchor>
      <arglist>(CORBA::Object_ptr obj, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_IntId</name>
      <anchorfile>a01302.html</anchorfile>
      <anchor>a576cb019e28a9b0e19f4f53299640fe</anchor>
      <arglist>(const TAO_IntId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_IntId</name>
      <anchorfile>a01302.html</anchorfile>
      <anchor>3baa98453e397a13dc391a330a0ba047</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchorfile>a01302.html</anchorfile>
      <anchor>b1f02da9533398f872f4e50ec46577c0</anchor>
      <arglist>(const TAO_IntId &amp;rhs)</arglist>
    </member>
    <member kind="variable">
      <type>CORBA::Object_ptr</type>
      <name>ref_</name>
      <anchorfile>a01302.html</anchorfile>
      <anchor>f060efd9b8b7bf33e7ec855b4ba55cae</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CosNaming::BindingType</type>
      <name>type_</name>
      <anchorfile>a01302.html</anchorfile>
      <anchor>3e5c4337f8e84f4c18e0fbbb447e1b5a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Naming_Client</name>
    <filename>a01303.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Naming_Client</name>
      <anchorfile>a01303.html</anchorfile>
      <anchor>6a8dec777dab9c4fb7ffec788c06ccef</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init</name>
      <anchorfile>a01303.html</anchorfile>
      <anchor>06dcab1bed55e9719824da7e229332b3</anchor>
      <arglist>(CORBA::ORB_ptr orb, ACE_Time_Value *timeout=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Naming_Client</name>
      <anchorfile>a01303.html</anchorfile>
      <anchor>4d8578937f3512a3f5c1e59d9e96a4f7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>CosNaming::NamingContext_ptr</type>
      <name>operator-&gt;</name>
      <anchorfile>a01303.html</anchorfile>
      <anchor>cff1a064d6e3142a0e63f5506bacc530</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>CosNaming::NamingContext_ptr</type>
      <name>get_context</name>
      <anchorfile>a01303.html</anchorfile>
      <anchor>8654d5c5c68fa45b8f30be7bd493dbd8</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CosNaming::NamingContext_var</type>
      <name>naming_context_</name>
      <anchorfile>a01303.html</anchorfile>
      <anchor>dccbbfd9980b49cb1bc3d173635bf12b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Naming_Context</name>
    <filename>a01304.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Naming_Context</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>24308d149f8ff8788be41aead8f58fdd</anchor>
      <arglist>(TAO_Naming_Context_Impl *impl)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Naming_Context</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>d63bbf6526ffce1761cc0fc4f23fb706</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bind</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>da7edf17779a43da72697516bdf9a82e</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rebind</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>022a9b39b6e10da6445cf22f4a712d75</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bind_context</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>ec4fbe0431e62b2f03bd0c56fa97c836</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rebind_context</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>d0009a3c282895428442494a1cfcb785</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>resolve</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>99bac4f9c620479768bf8ed9f2293a7d</anchor>
      <arglist>(const CosNaming::Name &amp;n)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unbind</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>f602d7e9304feaf9c3499fc96f4943a1</anchor>
      <arglist>(const CosNaming::Name &amp;n)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>new_context</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>7cbd8c73c65d796a105ff5c7c9ac7045</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>bind_new_context</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>9847ca5710f83c6d8b2e31d93175ed29</anchor>
      <arglist>(const CosNaming::Name &amp;n)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>f3d6320181d7e540421f29917401e5bc</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>list</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>e88b6aa4bb0abaf5f7c9149a1518ee84</anchor>
      <arglist>(CORBA::ULong how_many, CosNaming::BindingList_out bl, CosNaming::BindingIterator_out bi)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual char *</type>
      <name>to_string</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>d4eedeff597a0577219fa9171713c02a</anchor>
      <arglist>(const CosNaming::Name &amp;n)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::Name *</type>
      <name>to_name</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>f98f7efdc53bf4de666b41e107afe08a</anchor>
      <arglist>(const char *sn)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual char *</type>
      <name>to_url</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>949c87f9ff647006626ee4ff3d4088b0</anchor>
      <arglist>(const char *addr, const char *sn)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>resolve_str</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>985fc37eee64b6159782f5d5e8dc3448</anchor>
      <arglist>(const char *n)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PortableServer::POA_ptr</type>
      <name>_default_POA</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>74ac6b465d84e87e1b8fcaf0c62a34c0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Naming_Context_Impl *</type>
      <name>impl_</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>6582ba423ab2da13e344905cccd9e67d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue" protection="private">
      <type>@</type>
      <name>HINT_ID</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>aae8dbaa0597f13e7c753e602a2c46b0d9b00a727174c5e0105073658b38fc31</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue" protection="private">
      <type>@</type>
      <name>HINT_KIND</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>aae8dbaa0597f13e7c753e602a2c46b01fcfdb8c8cc0d4a96ed2b03e387cc4d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Hint</name>
      <anchor>aae8dbaa0597f13e7c753e602a2c46b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HINT_ID</name>
      <anchor>aae8dbaa0597f13e7c753e602a2c46b0d9b00a727174c5e0105073658b38fc31</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HINT_KIND</name>
      <anchor>aae8dbaa0597f13e7c753e602a2c46b01fcfdb8c8cc0d4a96ed2b03e387cc4d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>to_name_helper</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>98897c962f8324b3d154303549899ed4</anchor>
      <arglist>(char *dest, const char *&amp;src, Hint hint)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>to_string_helper_assign</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>f4029ad6ffe7a07712735c0738584f22</anchor>
      <arglist>(char *&amp;k, const char *&amp;src)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>void</type>
      <name>to_string_helper_length</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>2a277ca17e97bb2641a4926dc9a52be9</anchor>
      <arglist>(CORBA::ULong &amp;len, const char *&amp;src)</arglist>
    </member>
    <member kind="function" protection="private" static="yes">
      <type>static int</type>
      <name>to_url_is_alnum_or_punctuation</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>5e1dda49f2557f221c56b3dfef59d256</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="function" protection="private" static="yes">
      <type>static size_t</type>
      <name>to_url_validate_and_compute_size</name>
      <anchorfile>a01304.html</anchorfile>
      <anchor>14845def7a1590ef9e7871f98a946177</anchor>
      <arglist>(const char *add, const char *sn)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Naming_Context_Impl</name>
    <filename>a01305.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Naming_Context_Impl</name>
      <anchorfile>a01305.html</anchorfile>
      <anchor>a14007fa9a7fbd7f22f6471410b5bb22</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>bind</name>
      <anchorfile>a01305.html</anchorfile>
      <anchor>b4502d9da4cde1a13f520f5e811fc017</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>rebind</name>
      <anchorfile>a01305.html</anchorfile>
      <anchor>e3ef532aeead7a1a6a37e2e1948dcc88</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>bind_context</name>
      <anchorfile>a01305.html</anchorfile>
      <anchor>b57e6e8230d733ae3fa7887fd9775162</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>rebind_context</name>
      <anchorfile>a01305.html</anchorfile>
      <anchor>807c6c30163b0daab8dcaa2b8ee8b7ac</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CORBA::Object_ptr</type>
      <name>resolve</name>
      <anchorfile>a01305.html</anchorfile>
      <anchor>d26c13e50aa3f0854e5c4a9d5a03e7a2</anchor>
      <arglist>(const CosNaming::Name &amp;n)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>unbind</name>
      <anchorfile>a01305.html</anchorfile>
      <anchor>92a5ca3986abfe8dcd543233f528754c</anchor>
      <arglist>(const CosNaming::Name &amp;n)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>new_context</name>
      <anchorfile>a01305.html</anchorfile>
      <anchor>91403453062de39ec0677dcbd7cf390a</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>bind_new_context</name>
      <anchorfile>a01305.html</anchorfile>
      <anchor>ee3794423d24545a3f98633778c0eb3b</anchor>
      <arglist>(const CosNaming::Name &amp;n)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a01305.html</anchorfile>
      <anchor>c2bff43811cf572c2d57b8ae87268502</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>list</name>
      <anchorfile>a01305.html</anchorfile>
      <anchor>963c967edea2f565c5cb0f2009785d2e</anchor>
      <arglist>(CORBA::ULong how_many, CosNaming::BindingList_out &amp;bl, CosNaming::BindingIterator_out &amp;bi)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual PortableServer::POA_ptr</type>
      <name>_default_POA</name>
      <anchorfile>a01305.html</anchorfile>
      <anchor>32a7724de9f891baf21e10b30f8b0a79</anchor>
      <arglist>(void)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Naming_Loader</name>
    <filename>a01306.html</filename>
    <base>TAO_Object_Loader</base>
    <member kind="function">
      <type></type>
      <name>TAO_Naming_Loader</name>
      <anchorfile>a01306.html</anchorfile>
      <anchor>7d7ac4a5a6c117c14f199d018b90fb1b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Naming_Loader</name>
      <anchorfile>a01306.html</anchorfile>
      <anchor>8f867278d58541b9a64ea82475a8a314</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>init</name>
      <anchorfile>a01306.html</anchorfile>
      <anchor>8f9af64a6e2e214de369f8096d4e9b40</anchor>
      <arglist>(int argc, ACE_TCHAR *argv[])</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>fini</name>
      <anchorfile>a01306.html</anchorfile>
      <anchor>1af91958e80a616cb5f527d5ecfea0b2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>create_object</name>
      <anchorfile>a01306.html</anchorfile>
      <anchor>aae217fa7f725f69d5ccaaee70d67632</anchor>
      <arglist>(CORBA::ORB_ptr orb, int argc, ACE_TCHAR *argv[])</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Naming_Server</type>
      <name>naming_server_</name>
      <anchorfile>a01306.html</anchorfile>
      <anchor>0c61a237544e8062a155dd4bd9fd6987</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>TAO_Naming_Loader</name>
      <anchorfile>a01306.html</anchorfile>
      <anchor>10c1c6cc834f189063a94e1112bf2428</anchor>
      <arglist>(const TAO_Naming_Loader &amp;)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_Naming_Loader &amp;</type>
      <name>operator=</name>
      <anchorfile>a01306.html</anchorfile>
      <anchor>039dea092a49c450e4c9f9b6439af8f2</anchor>
      <arglist>(const TAO_Naming_Loader &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Naming_Server</name>
    <filename>a01307.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Naming_Server</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>0db615e3076c800fc2433ad5ad45da4b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Naming_Server</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>97a7c3032f062453a060d6532476e3c4</anchor>
      <arglist>(CORBA::ORB_ptr orb, PortableServer::POA_ptr poa, size_t context_size=ACE_DEFAULT_MAP_SIZE, ACE_Time_Value *timeout=0, int resolve_for_existing_naming_service=1, const ACE_TCHAR *persistence_location=0, void *base_addr=TAO_NAMING_BASE_ADDR, int enable_multicast=1, int use_storable_context=0, int round_trip_timeout=0, int use_round_trip_timeout=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>55f059221e8a6dd161de445c66570e3e</anchor>
      <arglist>(CORBA::ORB_ptr orb, PortableServer::POA_ptr poa, size_t context_size=ACE_DEFAULT_MAP_SIZE, ACE_Time_Value *timeout=0, int resolve_for_existing_naming_service=1, const ACE_TCHAR *persistence_location=0, void *base_addr=TAO_NAMING_BASE_ADDR, int enable_multicast=1, int use_storable_context=0, int round_trip_timeout=0, int use_round_trip_timeout=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init_with_orb</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>b9617825ea5b8f64d41389060153cf47</anchor>
      <arglist>(int argc, ACE_TCHAR *argv[], CORBA::ORB_ptr orb)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>fini</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>3ebf361e102537f178430c28add6c13d</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Naming_Server</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>58bc918f9f04e44b4c182957f78e2fb1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>naming_service_ior</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>1efe38f8376cc5a6d6d89a1b80c7104f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>CosNaming::NamingContext_ptr</type>
      <name>operator-&gt;</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>466fe220227d87a6a7b80c25c5255a7b</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>init_new_naming</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>9832b101d4822e035063cd4de9c2dcc6</anchor>
      <arglist>(CORBA::ORB_ptr orb, PortableServer::POA_ptr root_poa, const ACE_TCHAR *persistence_location, void *base_addr, size_t context_size, int enable_multicast, int use_storable_context, int round_trip_timeout=0, int use_round_trip_timeout=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>parse_args</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>b1d22b6afd1596116b6bc005569c56e3</anchor>
      <arglist>(int argc, ACE_TCHAR *argv[])</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CosNaming::NamingContext_var</type>
      <name>naming_context_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>74a6bfdd8c2b611319c9d131f4a831b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_IOR_Multicast *</type>
      <name>ior_multicast_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>13ab6f9262216758a7d10bb94cae9201</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::String_var</type>
      <name>naming_service_ior_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>8881be132d611889c58da94126dde676</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Persistent_Context_Index *</type>
      <name>context_index_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>fc1788ce12673023e41fce92c685aeef</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>f01a1456a8db36b9778fbfe596b6a785</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PortableServer::POA_var</type>
      <name>root_poa_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>965f61845a8025cc8a118b85ba065c4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PortableServer::POA_var</type>
      <name>ns_poa_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>730fd452fd5227d9267492bc4297bd34</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const ACE_TCHAR *</type>
      <name>ior_file_name_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>b5bc4c30a66fb3324ad04d7eb1872afa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const ACE_TCHAR *</type>
      <name>pid_file_name_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>e041fcb6cd3934c13cee392c8bcd6539</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>size_t</type>
      <name>context_size_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>250df607f1ba6bd0bb46658145a245dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const ACE_TCHAR *</type>
      <name>persistence_file_name_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>a640a7f50eb0c50913846b4cd672bf32</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>void *</type>
      <name>base_address_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>8f8e35927e94fdb4b32b9bd20092815e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>multicast_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>d72c1c26f8678ce3dd1773651b48868a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>use_storable_context_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>d41676d50dbf3bce68a40a79df154154</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>use_servant_activator_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>2c17ce8c1d843ef70f6aee458258b9e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Storable_Naming_Context_Activator *</type>
      <name>servant_activator_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>24066ef5dfa2d90702e3fca6445a473e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>use_redundancy_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>6729db140565eb2be4769728dea89809</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>round_trip_timeout_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>1f64eb7c39fc4294fda1c26f36adda1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>use_round_trip_timeout_</name>
      <anchorfile>a01307.html</anchorfile>
      <anchor>d9282366ee52a25efd1612258cac699a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Naming_Service_Persistence_Factory</name>
    <filename>a01308.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Naming_Service_Persistence_Factory</name>
      <anchorfile>a01308.html</anchorfile>
      <anchor>9b2582f8a6672c40fe9f2b6b6663d464</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Naming_Service_Persistence_Factory</name>
      <anchorfile>a01308.html</anchorfile>
      <anchor>e96e72aad22c4d851f15119634024921</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TAO_Storable_Base *</type>
      <name>create_stream</name>
      <anchorfile>a01308.html</anchorfile>
      <anchor>50ad53186d1e5c83cd105d3a3643ad4d</anchor>
      <arglist>(const ACE_CString &amp;file, const ACE_TCHAR *mode)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_NS_FlatFileFactory</name>
    <filename>a01309.html</filename>
    <base>TAO_Naming_Service_Persistence_Factory</base>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Storable_Base *</type>
      <name>create_stream</name>
      <anchorfile>a01309.html</anchorfile>
      <anchor>f352b6244332fecb77bfea47e873b05d</anchor>
      <arglist>(const ACE_CString &amp;file, const ACE_TCHAR *mode)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_NS_FlatFileStream</name>
    <filename>a01310.html</filename>
    <base>TAO_Storable_Base</base>
    <member kind="function">
      <type></type>
      <name>TAO_NS_FlatFileStream</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>988d43e11b6df4207b7f30d6609135cf</anchor>
      <arglist>(const ACE_CString &amp;file, const char *mode)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_NS_FlatFileStream</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>9f8909a745c32f6ef53173d90077ce0e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>remove</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>65c9b0476fd0f7183b19ed0f211e0143</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>exists</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>83e42ebe66bb2014f406415572b3d955</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>open</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>1dbc5b3072fd6396780aaf314d10f936</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>close</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>6def6660d21f751bf46e47b6fc9c74c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>flock</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>7bd7b75a95154fa4329a87cbe025d373</anchor>
      <arglist>(int whence, int start, int len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>funlock</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>daf2772c128e748574ae1926817c3570</anchor>
      <arglist>(int whence, int start, int len)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual time_t</type>
      <name>last_changed</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>20682d80384fb26ea2cd31a07f947416</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>b44429996b4a2c73d3b0b41d1cbd1a6a</anchor>
      <arglist>(const TAO_NS_Persistence_Header &amp;header)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>0d6649418793e9129e695b00e1079510</anchor>
      <arglist>(TAO_NS_Persistence_Header &amp;header)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>3967016aaafde904cc24f8cbb364d25e</anchor>
      <arglist>(const TAO_NS_Persistence_Record &amp;record)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>d239d1baed263a6c24c4e94898865e45</anchor>
      <arglist>(TAO_NS_Persistence_Record &amp;record)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>7d253d6810c704897958ec8c1108d6e2</anchor>
      <arglist>(const TAO_NS_Persistence_Global &amp;global)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>d20b45545f26e0dca32a9883d40258be</anchor>
      <arglist>(TAO_NS_Persistence_Global &amp;global)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_OS::ace_flock_t</type>
      <name>filelock_</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>c5792f4bea64119a6897be1c1866cc2b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>FILE *</type>
      <name>fl_</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>a70d9d39b27121f5a0e99b9e2ff13280</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_CString</type>
      <name>file_</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>8f51920575848ef85ee9bd359f80c4c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_CString</type>
      <name>mode_</name>
      <anchorfile>a01310.html</anchorfile>
      <anchor>fef88e11ca8f0c45b10c8e1c6cb7e719</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_NS_Persistence_Global</name>
    <filename>a01311.html</filename>
    <member kind="function">
      <type>void</type>
      <name>counter</name>
      <anchorfile>a01311.html</anchorfile>
      <anchor>a838c01330caeef98063c27e93e145e8</anchor>
      <arglist>(unsigned int counter)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>counter</name>
      <anchorfile>a01311.html</anchorfile>
      <anchor>c24ccb2c8acf028bb07cfd329743d336</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="private">
      <type>unsigned int</type>
      <name>counter_</name>
      <anchorfile>a01311.html</anchorfile>
      <anchor>c74317c86071daa48f82efb87478b381</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_NS_Persistence_Header</name>
    <filename>a01312.html</filename>
    <member kind="function">
      <type>void</type>
      <name>size</name>
      <anchorfile>a01312.html</anchorfile>
      <anchor>5fc69a501e88062b630129a8b28df762</anchor>
      <arglist>(unsigned int size)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>size</name>
      <anchorfile>a01312.html</anchorfile>
      <anchor>7e955e52eb954ac2e3277d5cecb3a7ef</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroyed</name>
      <anchorfile>a01312.html</anchorfile>
      <anchor>68ac06b9dd3874cab9d50349f485f71f</anchor>
      <arglist>(int flag)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>destroyed</name>
      <anchorfile>a01312.html</anchorfile>
      <anchor>f395d3ccabb8afe27967c0f2d80b53a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="private">
      <type>unsigned int</type>
      <name>size_</name>
      <anchorfile>a01312.html</anchorfile>
      <anchor>cacb33c757038d23856dee327a40d348</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>destroyed_</name>
      <anchorfile>a01312.html</anchorfile>
      <anchor>4dd42cae5bd73ae4fccec6e98a54a66e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_NS_Persistence_Record</name>
    <filename>a01313.html</filename>
    <member kind="enumvalue">
      <type>@</type>
      <name>LOCAL_NCONTEXT</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>2211d66bbaa448f0e9019fef31c95dd741fb6a732859f1039a6caca8dc926dc6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>OBJREF</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>2211d66bbaa448f0e9019fef31c95dd7d6e3527723828821deccf2834dc090ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>REMOTE_NCONTEXT</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>2211d66bbaa448f0e9019fef31c95dd79bcb290ba07d0d3e647a1e718f08cd94</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Record_Type</name>
      <anchor>2211d66bbaa448f0e9019fef31c95dd7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LOCAL_NCONTEXT</name>
      <anchor>2211d66bbaa448f0e9019fef31c95dd741fb6a732859f1039a6caca8dc926dc6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>OBJREF</name>
      <anchor>2211d66bbaa448f0e9019fef31c95dd7d6e3527723828821deccf2834dc090ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>REMOTE_NCONTEXT</name>
      <anchor>2211d66bbaa448f0e9019fef31c95dd79bcb290ba07d0d3e647a1e718f08cd94</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>Record_Type</type>
      <name>type</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>9e73af320bb43dca29916b268b5a5489</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>type</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>d5e876baa0229ff7f4e493a992049028</anchor>
      <arglist>(Record_Type type)</arglist>
    </member>
    <member kind="function">
      <type>ACE_CString</type>
      <name>id</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>3c51da09188a43111cfbede6a07e791b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>id</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>c15b64f2604c18477e7e9582ead07d84</anchor>
      <arglist>(const ACE_CString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>ACE_CString</type>
      <name>kind</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>514ec6efca036592ea1c4cb6c1af8700</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>kind</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>19f01dc83de859acb23f32156c5cb0e7</anchor>
      <arglist>(const ACE_CString &amp;kind)</arglist>
    </member>
    <member kind="function">
      <type>ACE_CString</type>
      <name>ref</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>22a1ea4b9a6ab8d8e7f8acb7bd65ce93</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ref</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>098bb0edcc4525a86d6327d3d5d1bcc5</anchor>
      <arglist>(const ACE_CString &amp;ior)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Record_Type</type>
      <name>type_</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>52a74442ee14177912d6453896552a9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_CString</type>
      <name>id_</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>c03d718131e8606459004fbaef314c01</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_CString</type>
      <name>kind_</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>57c0e49f1dbe38a9eba2d6aae7853044</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ACE_CString</type>
      <name>ref_</name>
      <anchorfile>a01313.html</anchorfile>
      <anchor>723807a492e9f27d9443985e94bf6ec8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Persistent_Bindings_Map</name>
    <filename>a01314.html</filename>
    <base>TAO_Bindings_Map</base>
    <member kind="typedef">
      <type>ACE_Hash_Map_With_Allocator&lt; TAO_Persistent_ExtId, TAO_Persistent_IntId &gt;</type>
      <name>HASH_MAP</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>43bef89827ffb25cabc415c5c229ef97</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Bindings_Map</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>df4fbfa5b433b1a6ec76f107b0f99d1e</anchor>
      <arglist>(CORBA::ORB_ptr orb)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>open</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>25b36045a2962cfbfd0755d0750ab4f6</anchor>
      <arglist>(size_t hash_map_size, ACE_Allocator *alloc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>bdc67c007d4ca79d08bb76bab0f2ff10</anchor>
      <arglist>(HASH_MAP *map, ACE_Allocator *alloc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Persistent_Bindings_Map</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>4043a822647d98485d370707b29841d7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroy</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>ea80135d74df9f404e990296cf784206</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>HASH_MAP *</type>
      <name>map</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>d3584653ad2abaa6cf20cddee4e48220</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>total_size</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>09c62bb3f6aba64e573dd97e931b4408</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual size_t</type>
      <name>current_size</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>1c36f957cbc1eed81ab227355703929a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>bind</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>64cd632eedcef70dbfcb6b3e286a7ae6</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rebind</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>d5d2bb3e045b1f69846cffece270a8f7</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>unbind</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>10c10b6ff38416ea88d8b1fbfe7c11ac</anchor>
      <arglist>(const char *id, const char *kind)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>find</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>4815d00cb69c1184ce6267a881354f39</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr &amp;obj, CosNaming::BindingType &amp;type)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>open_helper</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>e0f6f7bc81017aa73212faba99fbd419</anchor>
      <arglist>(size_t hash_table_size, void *buffer)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>shared_bind</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>a1734d907810d3da9d492fcef2538599</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type, int rebind)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_Allocator *</type>
      <name>allocator_</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>c8f3c2f0fdb1d877e89e87edde49364b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>HASH_MAP *</type>
      <name>map_</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>e2eb5d078722c326fcac3adc4099981c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchorfile>a01314.html</anchorfile>
      <anchor>abfb6f4bca374ef7ef0a238ed60491ca</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Persistent_Context_Index</name>
    <filename>a01315.html</filename>
    <member kind="typedef">
      <type>ACE_Hash_Map_With_Allocator&lt; TAO_Persistent_Index_ExtId, TAO_Persistent_Index_IntId &gt;</type>
      <name>CONTEXT_INDEX</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>80634b988ef5cb92426d565401c5104b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_Hash_Map_With_Allocator&lt; TAO_Persistent_ExtId, TAO_Persistent_IntId &gt;</type>
      <name>CONTEXT</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>f5d2bac688a4b3f648230ec1e3c2e4c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_Allocator_Adapter&lt; ACE_Malloc&lt; ACE_MMAP_MEMORY_POOL, TAO_SYNCH_MUTEX &gt; &gt;</type>
      <name>ALLOCATOR</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>1b7b79bf0b34b250a0734a072a8cee60</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Context_Index</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>959732271be259267dd0a840e18a3922</anchor>
      <arglist>(CORBA::ORB_ptr orb, PortableServer::POA_ptr poa)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>open</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>a9307f54115e25eb7650d12ddc14875f</anchor>
      <arglist>(const ACE_TCHAR *file_name, void *base_address=TAO_NAMING_BASE_ADDR)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>07459f50866cd71c45c32a867c6fc48c</anchor>
      <arglist>(size_t context_size)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Persistent_Context_Index</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>c6ab51ad36c68f3287b45e5450e01d9f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bind</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>00cbf08b626f2d8351e93dab0e403522</anchor>
      <arglist>(const char *poa_id, ACE_UINT32 *&amp;counter, CONTEXT *hash_map)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>unbind</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>874de1e3634dc2508e59144a98ea3a08</anchor>
      <arglist>(const char *poa_id)</arglist>
    </member>
    <member kind="function">
      <type>ACE_Allocator *</type>
      <name>allocator</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>26e0141f8d4410f07a1fa06465491ec6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::ORB_ptr</type>
      <name>orb</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>af073ed25b6a95ebb30f2e756a20d910</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>CosNaming::NamingContext_ptr</type>
      <name>root_context</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>fdc190156e4af812dde4cb9f65c01eab</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>recreate_all</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>4e2afed886e67a0a095761dc3dbbc56a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>create_index</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>c3b3bc0fbe0ba315949e0ae52886eea4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>create_index_helper</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>5e5a4227a4e9334f259c8f790517789a</anchor>
      <arglist>(void *buffer)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_SYNCH_MUTEX</type>
      <name>lock_</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>50230e2bdee0bb9e60047f3029ddc847</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>ALLOCATOR *</type>
      <name>allocator_</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>92e3c6e4c29c82b2a02e86df5a042d27</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CONTEXT_INDEX *</type>
      <name>index_</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>d723de19f09c011304640c9c35f80664</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>const ACE_TCHAR *</type>
      <name>index_file_</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>bcca972e32c75516a9c517f272be528e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>void *</type>
      <name>base_address_</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>a279e784d18111e64a87388fe8d0b9b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>f45878b36ce9b73db4c9586db9e726c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>PortableServer::POA_var</type>
      <name>poa_</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>5d25aa1a048f99c3d1b6fbd6b90813a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CosNaming::NamingContext_var</type>
      <name>root_context_</name>
      <anchorfile>a01315.html</anchorfile>
      <anchor>f9bede20e5085cf7ead088f521199a7f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Persistent_ExtId</name>
    <filename>a01316.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_ExtId</name>
      <anchorfile>a01316.html</anchorfile>
      <anchor>7032074e371b2b27acad8ceb8bd8ef6b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_ExtId</name>
      <anchorfile>a01316.html</anchorfile>
      <anchor>98f8b1ffaee58b153b6280cffbe15d39</anchor>
      <arglist>(const char *id, const char *kind)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_ExtId</name>
      <anchorfile>a01316.html</anchorfile>
      <anchor>74f9838dca07f62345897a91784bf014</anchor>
      <arglist>(const TAO_Persistent_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Persistent_ExtId</name>
      <anchorfile>a01316.html</anchorfile>
      <anchor>053d1d863f63ec775f0871404df5b4d1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchorfile>a01316.html</anchorfile>
      <anchor>184fe9e22b03d82b8e266ef69beb4db2</anchor>
      <arglist>(const TAO_Persistent_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>a01316.html</anchorfile>
      <anchor>696eb4f1e25a441537655fb2a5fe1f67</anchor>
      <arglist>(const TAO_Persistent_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>a01316.html</anchorfile>
      <anchor>cbc4b9fe931a0d854ff78620f774d090</anchor>
      <arglist>(const TAO_Persistent_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>u_long</type>
      <name>hash</name>
      <anchorfile>a01316.html</anchorfile>
      <anchor>f039c6a46a398009eb945c0a839f3bae</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>id</name>
      <anchorfile>a01316.html</anchorfile>
      <anchor>ca07bf7394e121528b283b85ad84758e</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>kind</name>
      <anchorfile>a01316.html</anchorfile>
      <anchor>3f052ac52ff1925a751739ebc17db5a7</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>id_</name>
      <anchorfile>a01316.html</anchorfile>
      <anchor>9581d7503a7f4ce89e88cfb53f09a284</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>kind_</name>
      <anchorfile>a01316.html</anchorfile>
      <anchor>3d0ec8be8ff52fc4179af5fe8febdc10</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Persistent_Index_ExtId</name>
    <filename>a01317.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Index_ExtId</name>
      <anchorfile>a01317.html</anchorfile>
      <anchor>cfa0c4e24b6428ac0aa325a6e36f1f2f</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Index_ExtId</name>
      <anchorfile>a01317.html</anchorfile>
      <anchor>54abcb5df2dfdad57c6462df0486eddf</anchor>
      <arglist>(const char *poa_id)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Index_ExtId</name>
      <anchorfile>a01317.html</anchorfile>
      <anchor>bfc84598030b359f6567490c1dc61647</anchor>
      <arglist>(const TAO_Persistent_Index_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Persistent_Index_ExtId</name>
      <anchorfile>a01317.html</anchorfile>
      <anchor>612bec544aab4498a31a0b18b8c40f5b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchorfile>a01317.html</anchorfile>
      <anchor>ac7dee50dcd217d0b7fc5b9840741eef</anchor>
      <arglist>(const TAO_Persistent_Index_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>a01317.html</anchorfile>
      <anchor>b2f8aab98e3567fe8f3b89415234f08b</anchor>
      <arglist>(const TAO_Persistent_Index_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>a01317.html</anchorfile>
      <anchor>26ca66eeb4ed373b2db8f016056e1dea</anchor>
      <arglist>(const TAO_Persistent_Index_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>u_long</type>
      <name>hash</name>
      <anchorfile>a01317.html</anchorfile>
      <anchor>ee90f4533ebd435027d3c4756e77d5db</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>poa_id_</name>
      <anchorfile>a01317.html</anchorfile>
      <anchor>64bd840207782972168a98232b784dbc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Persistent_Index_IntId</name>
    <filename>a01318.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Index_IntId</name>
      <anchorfile>a01318.html</anchorfile>
      <anchor>8719d614e73d990f1829e3bc6969f037</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Index_IntId</name>
      <anchorfile>a01318.html</anchorfile>
      <anchor>90913ad9186fe742cd3ddb77395573fe</anchor>
      <arglist>(ACE_UINT32 *counter, ACE_Hash_Map_With_Allocator&lt; TAO_Persistent_ExtId, TAO_Persistent_IntId &gt; *hash_map)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Index_IntId</name>
      <anchorfile>a01318.html</anchorfile>
      <anchor>ecfe8d437542cdc14dcf4345721ee137</anchor>
      <arglist>(const TAO_Persistent_Index_IntId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Persistent_Index_IntId</name>
      <anchorfile>a01318.html</anchorfile>
      <anchor>16f366ebdf4cc2ce9fe4385b0d227dc9</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchorfile>a01318.html</anchorfile>
      <anchor>53dd1b2e1f01dde58613c21b3907f14c</anchor>
      <arglist>(const TAO_Persistent_Index_IntId &amp;rhs)</arglist>
    </member>
    <member kind="variable">
      <type>ACE_UINT32 *</type>
      <name>counter_</name>
      <anchorfile>a01318.html</anchorfile>
      <anchor>e64f4cd16e05b151d8bd35f319b9ed22</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ACE_Hash_Map_With_Allocator&lt; TAO_Persistent_ExtId, TAO_Persistent_IntId &gt; *</type>
      <name>hash_map_</name>
      <anchorfile>a01318.html</anchorfile>
      <anchor>1d293c6eca04b828edf954a92ff4d686</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Persistent_IntId</name>
    <filename>a01319.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_IntId</name>
      <anchorfile>a01319.html</anchorfile>
      <anchor>7bdf2e42903ef9b1193193ff49dc7095</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_IntId</name>
      <anchorfile>a01319.html</anchorfile>
      <anchor>0d7f23d0cd5dd7c2b42cbf10b8792f69</anchor>
      <arglist>(char *obj_ref, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_IntId</name>
      <anchorfile>a01319.html</anchorfile>
      <anchor>1708bb8f0334154e2f5a187caf969558</anchor>
      <arglist>(const TAO_Persistent_IntId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Persistent_IntId</name>
      <anchorfile>a01319.html</anchorfile>
      <anchor>89c6087505afbaf9b80869e13a1e6b14</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchorfile>a01319.html</anchorfile>
      <anchor>1311effee2f2ce99741c01e8c0f83b92</anchor>
      <arglist>(const TAO_Persistent_IntId &amp;rhs)</arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>ref_</name>
      <anchorfile>a01319.html</anchorfile>
      <anchor>baa0346b6da3024e2e1decb5ebae6293</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CosNaming::BindingType</type>
      <name>type_</name>
      <anchorfile>a01319.html</anchorfile>
      <anchor>3cb27ec7faf2d786c356847c7d33c4c9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Persistent_Naming_Context</name>
    <filename>a01320.html</filename>
    <base>TAO_Hash_Naming_Context</base>
    <member kind="typedef">
      <type>TAO_Persistent_Bindings_Map::HASH_MAP</type>
      <name>HASH_MAP</name>
      <anchorfile>a01320.html</anchorfile>
      <anchor>9732617c8244e3beabf1b683b9b8b7cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Naming_Context</name>
      <anchorfile>a01320.html</anchorfile>
      <anchor>bec51b61cb73bc75a049ac3e9637c96d</anchor>
      <arglist>(PortableServer::POA_ptr poa, const char *poa_id, TAO_Persistent_Context_Index *context_index)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init</name>
      <anchorfile>a01320.html</anchorfile>
      <anchor>e9fbcba9b1900aa968c4c954451a9a25</anchor>
      <arglist>(size_t hash_table_size=ACE_DEFAULT_MAP_SIZE)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Persistent_Naming_Context</name>
      <anchorfile>a01320.html</anchorfile>
      <anchor>aca1dd886386c7fdd41d28e68392086e</anchor>
      <arglist>(PortableServer::POA_ptr poa, const char *poa_id, TAO_Persistent_Context_Index *context_index, HASH_MAP *map, ACE_UINT32 *counter)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Persistent_Naming_Context</name>
      <anchorfile>a01320.html</anchorfile>
      <anchor>d03a9c95663c17d276cf8eac7dcb8d13</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>new_context</name>
      <anchorfile>a01320.html</anchorfile>
      <anchor>faa8b0245c073b21946a584e0ab14a57</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>list</name>
      <anchorfile>a01320.html</anchorfile>
      <anchor>68d200dc440deebb6d5fa2b656a5653d</anchor>
      <arglist>(CORBA::ULong how_many, CosNaming::BindingList_out &amp;bl, CosNaming::BindingIterator_out &amp;bi)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CosNaming::NamingContext_ptr</type>
      <name>make_new_context</name>
      <anchorfile>a01320.html</anchorfile>
      <anchor>bb8f3724ff7945dcb3a411a80554bdb2</anchor>
      <arglist>(PortableServer::POA_ptr poa, const char *poa_id, size_t context_size, TAO_Persistent_Context_Index *ind)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>set_cleanup_level</name>
      <anchorfile>a01320.html</anchorfile>
      <anchor>b9bc55757a5d9ae1ff85ff3d470384ea</anchor>
      <arglist>(int level)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_UINT32 *</type>
      <name>counter_</name>
      <anchorfile>a01320.html</anchorfile>
      <anchor>2a0b3c5db048b110fcd113d900019ac4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Persistent_Bindings_Map *</type>
      <name>persistent_context_</name>
      <anchorfile>a01320.html</anchorfile>
      <anchor>f4039271d51fcbfed71a74ccbe82ea47</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Persistent_Context_Index *</type>
      <name>index_</name>
      <anchorfile>a01320.html</anchorfile>
      <anchor>864a95cd4a40bbb7ddab263662d1ae4b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Storable_Base</name>
    <filename>a01321.html</filename>
    <member kind="enumvalue">
      <type>@</type>
      <name>goodbit</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>4e185749787118d2f9af7e7588bf20e9a266784d67aaa44b186aaf99d978fc43</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>badbit</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>4e185749787118d2f9af7e7588bf20e9a1921a87e4f1e7d991fd4d728d6d1ffb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>eofbit</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>4e185749787118d2f9af7e7588bf20e9c93b069b3356b95a057b3ac61287cb2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>failbit</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>4e185749787118d2f9af7e7588bf20e97c769fe80eeea5ff22393e7ece98f6c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Storable_State</name>
      <anchor>4e185749787118d2f9af7e7588bf20e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>goodbit</name>
      <anchor>4e185749787118d2f9af7e7588bf20e9a266784d67aaa44b186aaf99d978fc43</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>badbit</name>
      <anchor>4e185749787118d2f9af7e7588bf20e9a1921a87e4f1e7d991fd4d728d6d1ffb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>eofbit</name>
      <anchor>4e185749787118d2f9af7e7588bf20e9c93b069b3356b95a057b3ac61287cb2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>failbit</name>
      <anchor>4e185749787118d2f9af7e7588bf20e97c769fe80eeea5ff22393e7ece98f6c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_Base</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>05826052bf92b27f0be78fe366e4dc9b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Storable_Base</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>72e0c14e09361583854fb442df55526d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>remove</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>32880cd0ca63f6e35d04148162630788</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>exists</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>ee681453f532c885db5eac84f2299556</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>open</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>64c32202dfdedf0f35bf6a68cff002c1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>close</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>3843af0bf6c0512146b20029f2cc56ea</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>flock</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>db0fe2f48d3638f4cad3a1ad8ab0026c</anchor>
      <arglist>(int whence, int start, int len)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>funlock</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>29c880dcb8e44aab711788bf20832793</anchor>
      <arglist>(int whence, int start, int len)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual time_t</type>
      <name>last_changed</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>e19513f44aee272dc3ca64f9e0dad82b</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>f427b9fba2677a6194f893e48ca26ce3</anchor>
      <arglist>(Storable_State state=goodbit)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setstate</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>df996a629cdfd1a263ad4bb04be981c7</anchor>
      <arglist>(Storable_State state)</arglist>
    </member>
    <member kind="function">
      <type>Storable_State</type>
      <name>rdstate</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>d9ff5dccb0e090db54eafe0687997118</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>good</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>8826135d4bcd3195c286e6fd0ba520d0</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>bad</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>434d6badd08f0a81cc7fe282b1d8fe0a</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eof</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>51dff0984c3324ec3fe6c3fe7ca2bd67</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fail</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>23ec5411b52f66d55d5e25105ba6b971</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>513cb2c300cc95fc3ef0e760c22b99ae</anchor>
      <arglist>(const TAO_NS_Persistence_Header &amp;header)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>15e7097c9955cde20f85b3b74e175092</anchor>
      <arglist>(const TAO_NS_Persistence_Record &amp;record)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>374b50673bf045088994c85619395077</anchor>
      <arglist>(TAO_NS_Persistence_Header &amp;header)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>8149d8045b5617d6356c9793b2e26f9d</anchor>
      <arglist>(TAO_NS_Persistence_Record &amp;record)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>58a7f5dadb5c71bd872ab2e360fb98f0</anchor>
      <arglist>(const TAO_NS_Persistence_Global &amp;global)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TAO_Storable_Base &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>f04c13ae6b2a8a9328f9d565f4a39541</anchor>
      <arglist>(TAO_NS_Persistence_Global &amp;global)=0</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Storable_State</type>
      <name>state_</name>
      <anchorfile>a01321.html</anchorfile>
      <anchor>b79ee23a733628b4aceb1bc52ba7c2ff</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Storable_Bindings_Map</name>
    <filename>a01322.html</filename>
    <base>TAO_Bindings_Map</base>
    <member kind="typedef">
      <type>ACE_Hash_Map_Manager&lt; TAO_Storable_ExtId, TAO_Storable_IntId, ACE_Null_Mutex &gt;</type>
      <name>HASH_MAP</name>
      <anchorfile>a01322.html</anchorfile>
      <anchor>284c247151a07438c62c7b800ce12833</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_Bindings_Map</name>
      <anchorfile>a01322.html</anchorfile>
      <anchor>9f9c20405c9884d4413cf76a29e67cb7</anchor>
      <arglist>(size_t hash_table_size, CORBA::ORB_ptr orb)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Storable_Bindings_Map</name>
      <anchorfile>a01322.html</anchorfile>
      <anchor>b853ed14575ebebdd90b26378f297778</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>HASH_MAP &amp;</type>
      <name>map</name>
      <anchorfile>a01322.html</anchorfile>
      <anchor>a31562726e4211e5461ab4fd9729b94b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>total_size</name>
      <anchorfile>a01322.html</anchorfile>
      <anchor>2761a64529b60b378ff4367c606ad14a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual size_t</type>
      <name>current_size</name>
      <anchorfile>a01322.html</anchorfile>
      <anchor>09db1b35954c088b284dbdba9f86fa79</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>bind</name>
      <anchorfile>a01322.html</anchorfile>
      <anchor>1b326252332097513945ba879062efd9</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rebind</name>
      <anchorfile>a01322.html</anchorfile>
      <anchor>963e43e894853b6e6f2e84a3f9b780ea</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>unbind</name>
      <anchorfile>a01322.html</anchorfile>
      <anchor>bcc1a182384bd328bccb1cbc7ee6d2e5</anchor>
      <arglist>(const char *id, const char *kind)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>find</name>
      <anchorfile>a01322.html</anchorfile>
      <anchor>9383047f385c408c713bd1f68d41248c</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr &amp;obj, CosNaming::BindingType &amp;type)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>shared_bind</name>
      <anchorfile>a01322.html</anchorfile>
      <anchor>adb96cca7687ba6afb22c89d4d3b0fc6</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type, int rebind)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>HASH_MAP</type>
      <name>map_</name>
      <anchorfile>a01322.html</anchorfile>
      <anchor>4452b064a5a05300c040c8395621153d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchorfile>a01322.html</anchorfile>
      <anchor>73d811ab43198e329b92026c519c2c37</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Storable_ExtId</name>
    <filename>a01323.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_ExtId</name>
      <anchorfile>a01323.html</anchorfile>
      <anchor>319441badf8bb9575589bdbce9cd156a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_ExtId</name>
      <anchorfile>a01323.html</anchorfile>
      <anchor>c4e45e288a72122931aa7b6a191d4cbe</anchor>
      <arglist>(const char *id, const char *kind)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_ExtId</name>
      <anchorfile>a01323.html</anchorfile>
      <anchor>66689f5bf8cf2cba5b7508157ec0d4fb</anchor>
      <arglist>(const TAO_Storable_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Storable_ExtId</name>
      <anchorfile>a01323.html</anchorfile>
      <anchor>ed543a91b0edf5b9f3214d1f7e4f6a91</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchorfile>a01323.html</anchorfile>
      <anchor>751e5f0581a4963eb0573a603f5aa86b</anchor>
      <arglist>(const TAO_Storable_ExtId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>a01323.html</anchorfile>
      <anchor>2e7e5dc04a7a5c54ef94920543b6556f</anchor>
      <arglist>(const TAO_Storable_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>a01323.html</anchorfile>
      <anchor>184ae2205bff907af775f15c52783f0d</anchor>
      <arglist>(const TAO_Storable_ExtId &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>u_long</type>
      <name>hash</name>
      <anchorfile>a01323.html</anchorfile>
      <anchor>f9df46c0a77a841c8ad69274300c4fc7</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>id</name>
      <anchorfile>a01323.html</anchorfile>
      <anchor>afd126f2905b96cb1cbce191d3cbbc03</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>kind</name>
      <anchorfile>a01323.html</anchorfile>
      <anchor>025406c625d4536b5e91f72df239ff93</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable">
      <type>CORBA::String_var</type>
      <name>id_</name>
      <anchorfile>a01323.html</anchorfile>
      <anchor>3c87b611932730bdb1b32f2bb37502f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CORBA::String_var</type>
      <name>kind_</name>
      <anchorfile>a01323.html</anchorfile>
      <anchor>0c161edc2309d9ddf1456fa0b50dcc28</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Storable_IntId</name>
    <filename>a01324.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_IntId</name>
      <anchorfile>a01324.html</anchorfile>
      <anchor>b87871be176fc723a907d50aedd1365d</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_IntId</name>
      <anchorfile>a01324.html</anchorfile>
      <anchor>555405761a3f077768ed92df085e0c0d</anchor>
      <arglist>(const char *ior, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_IntId</name>
      <anchorfile>a01324.html</anchorfile>
      <anchor>417d29f9fba28720a8635c33121abeef</anchor>
      <arglist>(const TAO_Storable_IntId &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TAO_Storable_IntId</name>
      <anchorfile>a01324.html</anchorfile>
      <anchor>2cf0aa202fbdd2578513fa62a9a395c1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator=</name>
      <anchorfile>a01324.html</anchorfile>
      <anchor>b37fc39a46c42edcbbfc774fa3fd1414</anchor>
      <arglist>(const TAO_Storable_IntId &amp;rhs)</arglist>
    </member>
    <member kind="variable">
      <type>CORBA::String_var</type>
      <name>ref_</name>
      <anchorfile>a01324.html</anchorfile>
      <anchor>67e01273d13e6985f5b26930f33f9d09</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CosNaming::BindingType</type>
      <name>type_</name>
      <anchorfile>a01324.html</anchorfile>
      <anchor>02ffd714e01cf79318d5468ed23e479b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Storable_Naming_Context</name>
    <filename>a01325.html</filename>
    <base>TAO_Hash_Naming_Context</base>
    <member kind="typedef">
      <type>TAO_Storable_Bindings_Map::HASH_MAP</type>
      <name>HASH_MAP</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>a25831a93c51b8e6f285e3c658d43f63</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_Naming_Context</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>853781926575a6563149d088225cad60</anchor>
      <arglist>(CORBA::ORB_ptr orb, PortableServer::POA_ptr poa, const char *poa_id, TAO_Naming_Service_Persistence_Factory *factory, const ACE_TCHAR *persistence_directory, size_t hash_table_size=ACE_DEFAULT_MAP_SIZE)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Storable_Naming_Context</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>e806b0e28d76851584c786b1db284ae2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>new_context</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>64c7ef1f3f388e47bf2261d95a76b86a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>list</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>f1366732ba44bd7daf4f68adf8c60ffd</anchor>
      <arglist>(CORBA::ULong how_many, CosNaming::BindingList_out &amp;bl, CosNaming::BindingIterator_out &amp;bi)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rebind</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>77940781673f5b74d3335e508be86296</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bind</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>373945ca219c4f5f401e14a6b0207e62</anchor>
      <arglist>(const CosNaming::Name &amp;n, CORBA::Object_ptr obj)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bind_context</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>70950550b892be7195048b8c7a7cce3b</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rebind_context</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>c4e90ab0d922336029a0f65733f82504</anchor>
      <arglist>(const CosNaming::Name &amp;n, CosNaming::NamingContext_ptr nc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>resolve</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>082200456670c8687bb305bb724def16</anchor>
      <arglist>(const CosNaming::Name &amp;n)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unbind</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>13e2355312597d4dd56c952e82b606e3</anchor>
      <arglist>(const CosNaming::Name &amp;n)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>bind_new_context</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>adfce30a4c218806ce59e55e49ab5702</anchor>
      <arglist>(const CosNaming::Name &amp;n)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>destroy</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>254557cbeac4afecd45205792937c57b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CosNaming::NamingContext_ptr</type>
      <name>make_new_context</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>7f77262b02a0f78090b69d39498092f1</anchor>
      <arglist>(CORBA::ORB_ptr orb, PortableServer::POA_ptr poa, const char *poa_id, size_t context_size, TAO_Naming_Service_Persistence_Factory *factory, const ACE_TCHAR *persistence_directory, TAO_Storable_Naming_Context **new_context)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CosNaming::NamingContext_ptr</type>
      <name>recreate_all</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>765dc9b78b91bd41796797c4c42b5f2c</anchor>
      <arglist>(CORBA::ORB_ptr orb, PortableServer::POA_ptr poa, const char *poa_id, size_t context_size, int reentering, TAO_Naming_Service_Persistence_Factory *factory, const ACE_TCHAR *persistence_directory, int use_redundancy)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>load_map</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>f87a4717c86a165bd8baf6d27fbbf32b</anchor>
      <arglist>(File_Open_Lock_and_Check *flck)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>Write</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>88c2190eddfcd15f6336454edce28a95</anchor>
      <arglist>(TAO_Storable_Base &amp;wrtr)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_UINT32</type>
      <name>counter_</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>cbe34cf47ce181d76864d030630065ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Storable_Bindings_Map *</type>
      <name>storable_context_</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>c6ed74c33e86b55d859592480e4b3c42</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>CORBA::ORB_var</type>
      <name>orb_</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>f421b631e3e76cd707c7fb88d910bb20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>name_</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>dbdd8bbbc7b394de0b3fb855cfd1f735</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PortableServer::POA_var</type>
      <name>poa_</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>45eae7015d12e5eb3d55e2f2f99d6a58</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Naming_Service_Persistence_Factory *</type>
      <name>factory_</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>2279915d534be582a608a18868ef503f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_CString</type>
      <name>persistence_directory_</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>a472b740762e11860d59cb44ae311382</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>size_t</type>
      <name>hash_table_size_</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>c2e64ec8ad5ba0f2ab937f7e6d417b33</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>last_changed_</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>fe217dad13c6f02ade0feb197783dbcb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static ACE_UINT32</type>
      <name>gcounter_</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>7c9d644b2006c9d2d9887f6f551a9354</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static int</type>
      <name>redundant_</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>bdaf407e6b8a97482d798703921b0d4c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static const char *</type>
      <name>root_name_</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>a1d1ff19d31d36a23a86c4213c898a8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static ACE_Auto_Ptr&lt; TAO_Storable_Base &gt;</type>
      <name>gfl_</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>b473e938b6cc5dda697687f1f42c346e</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>File_Open_Lock_and_Check</name>
      <anchorfile>a01325.html</anchorfile>
      <anchor>ce76a0ca369eae820abf337407fe738b</anchor>
      <arglist></arglist>
    </member>
    <class kind="class">TAO_Storable_Naming_Context::File_Open_Lock_and_Check</class>
  </compound>
  <compound kind="class">
    <name>TAO_Storable_Naming_Context::File_Open_Lock_and_Check</name>
    <filename>a01326.html</filename>
    <member kind="function">
      <type></type>
      <name>File_Open_Lock_and_Check</name>
      <anchorfile>a01326.html</anchorfile>
      <anchor>6fd7f859de6331e3d110dfd4d4d6e389</anchor>
      <arglist>(TAO_Storable_Naming_Context *context, const char *mode)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~File_Open_Lock_and_Check</name>
      <anchorfile>a01326.html</anchorfile>
      <anchor>b06e27719a597bdc6825a0ae9c556df4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>release</name>
      <anchorfile>a01326.html</anchorfile>
      <anchor>b41d3253c2cc4992a9ef910d94c300e6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>TAO_Storable_Base &amp;</type>
      <name>peer</name>
      <anchorfile>a01326.html</anchorfile>
      <anchor>fe6fb996f680d32e7e69c1a047414858</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="enumvalue" protection="private">
      <type>@</type>
      <name>mode_write</name>
      <anchorfile>a01326.html</anchorfile>
      <anchor>56cc2b4088e9068a15f1de6a43ba930604e394755e4c0429737c4c9a00150030</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue" protection="private">
      <type>@</type>
      <name>mode_read</name>
      <anchorfile>a01326.html</anchorfile>
      <anchor>56cc2b4088e9068a15f1de6a43ba93067835d1ee3548f355920b638243bbb921</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue" protection="private">
      <type>@</type>
      <name>mode_create</name>
      <anchorfile>a01326.html</anchorfile>
      <anchor>56cc2b4088e9068a15f1de6a43ba93068e86e0c4aeba475c0e82cf172da6669e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mode_write</name>
      <anchor>56cc2b4088e9068a15f1de6a43ba930604e394755e4c0429737c4c9a00150030</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mode_read</name>
      <anchor>56cc2b4088e9068a15f1de6a43ba93067835d1ee3548f355920b638243bbb921</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mode_create</name>
      <anchor>56cc2b4088e9068a15f1de6a43ba93068e86e0c4aeba475c0e82cf172da6669e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="private">
      <type></type>
      <name>File_Open_Lock_and_Check</name>
      <anchorfile>a01326.html</anchorfile>
      <anchor>af0c73784b453ef0c11f2452ef7c4109</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>closed_</name>
      <anchorfile>a01326.html</anchorfile>
      <anchor>2ffe1df86bb2b6b6f93c35b31b0d8346</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_Storable_Naming_Context *</type>
      <name>context_</name>
      <anchorfile>a01326.html</anchorfile>
      <anchor>bb7f5c4745e8637e7b5e7e0937067c82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_Storable_Base *</type>
      <name>fl_</name>
      <anchorfile>a01326.html</anchorfile>
      <anchor>fcf557f9486e2af8f275bd740f2f6281</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>rwflags_</name>
      <anchorfile>a01326.html</anchorfile>
      <anchor>29135814f727d157ab90af729c73969b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Storable_Naming_Context_Activator</name>
    <filename>a01327.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_Storable_Naming_Context_Activator</name>
      <anchorfile>a01327.html</anchorfile>
      <anchor>cff5cc3edaffbea620cf3ddedf7cba9b</anchor>
      <arglist>(CORBA::ORB_ptr orb, TAO_Naming_Service_Persistence_Factory *factory, const ACE_TCHAR *persistence_directory, size_t context_size)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Storable_Naming_Context_Activator</name>
      <anchorfile>a01327.html</anchorfile>
      <anchor>9b9f09b0d9f3117b19160dcd134ed09a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PortableServer::Servant</type>
      <name>incarnate</name>
      <anchorfile>a01327.html</anchorfile>
      <anchor>4a585a28d25ec524e028338ab17c7038</anchor>
      <arglist>(const PortableServer::ObjectId &amp;oid, PortableServer::POA_ptr poa)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>etherealize</name>
      <anchorfile>a01327.html</anchorfile>
      <anchor>08b078c74e541212f02d41691d1d4de1</anchor>
      <arglist>(const PortableServer::ObjectId &amp;oid, PortableServer::POA_ptr adapter, PortableServer::Servant servant, CORBA::Boolean cleanup_in_progress, CORBA::Boolean remaining_activations)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>CORBA::ORB_ptr</type>
      <name>orb_</name>
      <anchorfile>a01327.html</anchorfile>
      <anchor>85d41938adcfa076167dcbf938795c84</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_Naming_Service_Persistence_Factory *</type>
      <name>factory_</name>
      <anchorfile>a01327.html</anchorfile>
      <anchor>5e7f46aec74bca8f28348b74fc40b008</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>const ACE_TCHAR *</type>
      <name>persistence_directory_</name>
      <anchorfile>a01327.html</anchorfile>
      <anchor>d0a8ce8261421bab317a5a61349feed5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>size_t</type>
      <name>context_size_</name>
      <anchorfile>a01327.html</anchorfile>
      <anchor>9d155e3704d179b31b9331697a4dd351</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Transient_Bindings_Map</name>
    <filename>a01328.html</filename>
    <base>TAO_Bindings_Map</base>
    <member kind="typedef">
      <type>ACE_Hash_Map_Manager&lt; TAO_ExtId, TAO_IntId, ACE_Null_Mutex &gt;</type>
      <name>HASH_MAP</name>
      <anchorfile>a01328.html</anchorfile>
      <anchor>98ec39316751c4434bea300182442760</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Transient_Bindings_Map</name>
      <anchorfile>a01328.html</anchorfile>
      <anchor>00c7405fdc8f629edc14dac65feec609</anchor>
      <arglist>(size_t hash_table_size)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Transient_Bindings_Map</name>
      <anchorfile>a01328.html</anchorfile>
      <anchor>a33e61258819cd65bef797a3c1a31ff5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>HASH_MAP &amp;</type>
      <name>map</name>
      <anchorfile>a01328.html</anchorfile>
      <anchor>c9dcc7fba18549ad047553c4b22473eb</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>size_t</type>
      <name>total_size</name>
      <anchorfile>a01328.html</anchorfile>
      <anchor>86f24d122cacc703a9a8ce731608cb30</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual size_t</type>
      <name>current_size</name>
      <anchorfile>a01328.html</anchorfile>
      <anchor>c30a7f1ae7623475f0b20c32bf30278e</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>bind</name>
      <anchorfile>a01328.html</anchorfile>
      <anchor>b0bf61aa3b105770adf669f88912359b</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rebind</name>
      <anchorfile>a01328.html</anchorfile>
      <anchor>e6f7b5ed2ad262ffbe22a79d6f75ca16</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>unbind</name>
      <anchorfile>a01328.html</anchorfile>
      <anchor>2a84f0635ba0deff6e0bc42e2534065d</anchor>
      <arglist>(const char *id, const char *kind)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>find</name>
      <anchorfile>a01328.html</anchorfile>
      <anchor>0728421fae6726026ddd1f1039c35aee</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr &amp;obj, CosNaming::BindingType &amp;type)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>shared_bind</name>
      <anchorfile>a01328.html</anchorfile>
      <anchor>aba927765ead4dfaafc5dc13f5773f52</anchor>
      <arglist>(const char *id, const char *kind, CORBA::Object_ptr obj, CosNaming::BindingType type, int rebind)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>HASH_MAP</type>
      <name>map_</name>
      <anchorfile>a01328.html</anchorfile>
      <anchor>74199c27a37b8fdcd25d863b82c899ce</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_Transient_Naming_Context</name>
    <filename>a01329.html</filename>
    <base>TAO_Hash_Naming_Context</base>
    <member kind="typedef">
      <type>TAO_Transient_Bindings_Map::HASH_MAP</type>
      <name>HASH_MAP</name>
      <anchorfile>a01329.html</anchorfile>
      <anchor>f11678bccf1aa20ec99e4667ead483e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TAO_Transient_Naming_Context</name>
      <anchorfile>a01329.html</anchorfile>
      <anchor>0a590ed58a0f175248a7f2d4d0fd54f7</anchor>
      <arglist>(PortableServer::POA_ptr poa, const char *poa_id, size_t hash_table_size=ACE_DEFAULT_MAP_SIZE)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_Transient_Naming_Context</name>
      <anchorfile>a01329.html</anchorfile>
      <anchor>3457dfe227faf7fb1eded168814d45aa</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CosNaming::NamingContext_ptr</type>
      <name>new_context</name>
      <anchorfile>a01329.html</anchorfile>
      <anchor>95fa7f034db988ff74f4c2709f2e136a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>list</name>
      <anchorfile>a01329.html</anchorfile>
      <anchor>1f01dd644a15c5b7e4d9992e7c181b0e</anchor>
      <arglist>(CORBA::ULong how_many, CosNaming::BindingList_out &amp;bl, CosNaming::BindingIterator_out &amp;bi)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static CosNaming::NamingContext_ptr</type>
      <name>make_new_context</name>
      <anchorfile>a01329.html</anchorfile>
      <anchor>1d2e12b34534198f55072ad114c3661a</anchor>
      <arglist>(PortableServer::POA_ptr poa, const char *poa_id, size_t context_size)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_UINT32</type>
      <name>counter_</name>
      <anchorfile>a01329.html</anchorfile>
      <anchor>4dda9629ac10f3e9c461565d3928f17c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_Transient_Bindings_Map *</type>
      <name>transient_context_</name>
      <anchorfile>a01329.html</anchorfile>
      <anchor>b27ce285f31e0b96dd44f246f9171bd3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>CosNaming</name>
    <filename>a01368.html</filename>
    <class kind="struct">CosNaming::NameComponent</class>
    <class kind="struct">CosNaming::Binding</class>
    <class kind="interface">CosNaming::NamingContext</class>
    <class kind="interface">CosNaming::BindingIterator</class>
    <class kind="interface">CosNaming::NamingContextExt</class>
    <member kind="typedef">
      <type>string</type>
      <name>Istring</name>
      <anchorfile>a01368.html</anchorfile>
      <anchor>4999743810075cf00bbf3bc655d44ffb</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; NameComponent &gt;</type>
      <name>Name</name>
      <anchorfile>a01368.html</anchorfile>
      <anchor>fbce138287f662a71d64d265cce9b427</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; Binding &gt;</type>
      <name>BindingList</name>
      <anchorfile>a01368.html</anchorfile>
      <anchor>07b0310546857705dd48b44c016cf143</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>BindingType</name>
      <anchor>08bcd8255a999d2527b1859136719c27</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>nobject</name>
      <anchor>08bcd8255a999d2527b1859136719c274c774adef57116e6daf4d5bbc66cb37d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ncontext</name>
      <anchor>08bcd8255a999d2527b1859136719c27fb6fde66568db2f4a4f4a918f38e1900</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CosNaming::NameComponent</name>
    <filename>a01289.html</filename>
    <member kind="variable">
      <type>Istring</type>
      <name>id</name>
      <anchorfile>a01289.html</anchorfile>
      <anchor>aa0479efe1884a6feffe9fc36c4a31c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Istring</type>
      <name>kind</name>
      <anchorfile>a01289.html</anchorfile>
      <anchor>b5310f662e13c2a9c6667c83fb43fdda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CosNaming::Binding</name>
    <filename>a01287.html</filename>
    <member kind="variable">
      <type>Name</type>
      <name>binding_name</name>
      <anchorfile>a01287.html</anchorfile>
      <anchor>9f1c0bf88734d26b45a81ca145930289</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>BindingType</type>
      <name>binding_type</name>
      <anchorfile>a01287.html</anchorfile>
      <anchor>e807c73d0d7cd17111f3811e381e3aa0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>CosNaming::NamingContext</name>
    <filename>a01290.html</filename>
    <member kind="enumvalue">
      <type>@</type>
      <name>missing_node</name>
      <anchorfile>a01290.html</anchorfile>
      <anchor>496d94e93a69678a5c8e313b0c9ae7e9bc95469624114fa3a0619b623e2cf256</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>not_context</name>
      <anchorfile>a01290.html</anchorfile>
      <anchor>496d94e93a69678a5c8e313b0c9ae7e90fc1b6c30124b94b625c4158ad971386</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>not_object</name>
      <anchorfile>a01290.html</anchorfile>
      <anchor>496d94e93a69678a5c8e313b0c9ae7e98437a76a5bd8ad57544e86c941e34834</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>NotFoundReason</name>
      <anchor>496d94e93a69678a5c8e313b0c9ae7e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>missing_node</name>
      <anchor>496d94e93a69678a5c8e313b0c9ae7e9bc95469624114fa3a0619b623e2cf256</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>not_context</name>
      <anchor>496d94e93a69678a5c8e313b0c9ae7e90fc1b6c30124b94b625c4158ad971386</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>not_object</name>
      <anchor>496d94e93a69678a5c8e313b0c9ae7e98437a76a5bd8ad57544e86c941e34834</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bind</name>
      <anchorfile>a01290.html</anchorfile>
      <anchor>033b5648c56561079bd45a3e5b7c5223</anchor>
      <arglist>(in Name n, in Object obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rebind</name>
      <anchorfile>a01290.html</anchorfile>
      <anchor>3fb248b2eb8aa591d6eb7232c2b99ffb</anchor>
      <arglist>(in Name n, in Object obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bind_context</name>
      <anchorfile>a01290.html</anchorfile>
      <anchor>fac2f60b5ee6530a892b0723fa62c6be</anchor>
      <arglist>(in Name n, in NamingContext nc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rebind_context</name>
      <anchorfile>a01290.html</anchorfile>
      <anchor>16e7a83a692ea9b20faab454aafd5f73</anchor>
      <arglist>(in Name n, in NamingContext nc)</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>resolve</name>
      <anchorfile>a01290.html</anchorfile>
      <anchor>36de7a6d5ebcfc11189bb4d63720f7e1</anchor>
      <arglist>(in Name n)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unbind</name>
      <anchorfile>a01290.html</anchorfile>
      <anchor>1e5649822a1566584752ad86b75333a4</anchor>
      <arglist>(in Name n)</arglist>
    </member>
    <member kind="function">
      <type>NamingContext</type>
      <name>new_context</name>
      <anchorfile>a01290.html</anchorfile>
      <anchor>516de84ada5bcc9383a426758d85902a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NamingContext</type>
      <name>bind_new_context</name>
      <anchorfile>a01290.html</anchorfile>
      <anchor>fb90c4236a49212e3bfeab708dc9bc82</anchor>
      <arglist>(in Name n)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroy</name>
      <anchorfile>a01290.html</anchorfile>
      <anchor>5c3813ff482937585dac01ba91a682de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>list</name>
      <anchorfile>a01290.html</anchorfile>
      <anchor>ec0e39e9fde5bd8c68a182d59ded342f</anchor>
      <arglist>(in unsigned long how_many, out BindingList bl, out BindingIterator bi)</arglist>
    </member>
    <class kind="exception">CosNaming::NamingContext::AlreadyBound</class>
    <class kind="exception">CosNaming::NamingContext::CannotProceed</class>
    <class kind="exception">CosNaming::NamingContext::InvalidName</class>
    <class kind="exception">CosNaming::NamingContext::NotEmpty</class>
    <class kind="exception">CosNaming::NamingContext::NotFound</class>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::AlreadyBound</name>
    <filename>a01291.html</filename>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::CannotProceed</name>
    <filename>a01292.html</filename>
    <member kind="variable">
      <type>NamingContext</type>
      <name>cxt</name>
      <anchorfile>a01292.html</anchorfile>
      <anchor>7105ddef57487123ad9cfb606aefe8e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Name</type>
      <name>rest_of_name</name>
      <anchorfile>a01292.html</anchorfile>
      <anchor>854a4d1cdb7750bf01f27ba302152720</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::InvalidName</name>
    <filename>a01293.html</filename>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::NotEmpty</name>
    <filename>a01294.html</filename>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContext::NotFound</name>
    <filename>a01295.html</filename>
    <member kind="variable">
      <type>NotFoundReason</type>
      <name>why</name>
      <anchorfile>a01295.html</anchorfile>
      <anchor>fbc6fcc0a950a5c12885267b764f6544</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Name</type>
      <name>rest_of_name</name>
      <anchorfile>a01295.html</anchorfile>
      <anchor>d38a32a9eb65d7fa50a202033c074521</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>CosNaming::BindingIterator</name>
    <filename>a01288.html</filename>
    <member kind="function">
      <type>boolean</type>
      <name>next_one</name>
      <anchorfile>a01288.html</anchorfile>
      <anchor>e35a313d0781608956bab4a88e94045c</anchor>
      <arglist>(out Binding b)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>next_n</name>
      <anchorfile>a01288.html</anchorfile>
      <anchor>c96a04d739babcd424f90d4381e1c53b</anchor>
      <arglist>(in unsigned long how_many, out BindingList bl)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroy</name>
      <anchorfile>a01288.html</anchorfile>
      <anchor>65a870067045c159f1599f13047c7fd6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>CosNaming::NamingContextExt</name>
    <filename>a01296.html</filename>
    <base>CosNaming::NamingContext</base>
    <member kind="typedef">
      <type>string</type>
      <name>StringName</name>
      <anchorfile>a01296.html</anchorfile>
      <anchor>1388b0295639317c256b7c4459e73061</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>string</type>
      <name>Address</name>
      <anchorfile>a01296.html</anchorfile>
      <anchor>26d5d2c276ca2ccc98f7399e4def5e82</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>string</type>
      <name>URLString</name>
      <anchorfile>a01296.html</anchorfile>
      <anchor>dbc496f0792a185574ada41138a85576</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>StringName</type>
      <name>to_string</name>
      <anchorfile>a01296.html</anchorfile>
      <anchor>fa2eeb4a39319eb7a2d3f0c8e265e8ae</anchor>
      <arglist>(in Name n)</arglist>
    </member>
    <member kind="function">
      <type>Name</type>
      <name>to_name</name>
      <anchorfile>a01296.html</anchorfile>
      <anchor>2af4da9a18b0974db855910421f8b149</anchor>
      <arglist>(in StringName sn)</arglist>
    </member>
    <member kind="function">
      <type>URLString</type>
      <name>to_url</name>
      <anchorfile>a01296.html</anchorfile>
      <anchor>88d16b4f018433c3e4a23fcad1cffff4</anchor>
      <arglist>(in Address addr, in StringName sn)</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>resolve_str</name>
      <anchorfile>a01296.html</anchorfile>
      <anchor>5f4105ab37237facd58e055e709a342f</anchor>
      <arglist>(in StringName n)</arglist>
    </member>
    <class kind="exception">CosNaming::NamingContextExt::InvalidAddress</class>
  </compound>
  <compound kind="exception">
    <name>CosNaming::NamingContextExt::InvalidAddress</name>
    <filename>a01297.html</filename>
  </compound>
</tagfile>
